/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

static data_1_2_t<double, double, double> g_fmin_intel_data[] = {
  { // Entry 0
    -0x1.40p3,
    -0x1.4p3,
    -0x1.4p3
  },
  { // Entry 1
    -0x1.40p3,
    -0x1.4p3,
    0x1.4p3
  },
  { // Entry 2
    -0x1.40p3,
    0x1.4p3,
    -0x1.4p3
  },
  { // Entry 3
    0x1.40p3,
    0x1.4p3,
    0x1.4p3
  },
  { // Entry 4
    -0x1.p-1073,
    -0x1.0p-1073,
    -0x1.0p-1073
  },
  { // Entry 5
    -0x1.p-1073,
    -0x1.0p-1073,
    -0x1.0p-1074
  },
  { // Entry 6
    -0x1.p-1073,
    -0x1.0p-1073,
    -0.0
  },
  { // Entry 7
    -0x1.p-1073,
    -0x1.0p-1073,
    0x1.0p-1074
  },
  { // Entry 8
    -0x1.p-1073,
    -0x1.0p-1073,
    0x1.0p-1073
  },
  { // Entry 9
    -0x1.p-1073,
    -0x1.0p-1074,
    -0x1.0p-1073
  },
  { // Entry 10
    -0x1.p-1074,
    -0x1.0p-1074,
    -0x1.0p-1074
  },
  { // Entry 11
    -0x1.p-1074,
    -0x1.0p-1074,
    -0.0
  },
  { // Entry 12
    -0x1.p-1074,
    -0x1.0p-1074,
    0x1.0p-1074
  },
  { // Entry 13
    -0x1.p-1074,
    -0x1.0p-1074,
    0x1.0p-1073
  },
  { // Entry 14
    -0x1.p-1073,
    -0.0,
    -0x1.0p-1073
  },
  { // Entry 15
    -0x1.p-1074,
    -0.0,
    -0x1.0p-1074
  },
  { // Entry 16
    -0.0,
    -0.0,
    -0.0
  },
  { // Entry 17
    -0.0,
    -0.0,
    0x1.0p-1074
  },
  { // Entry 18
    -0.0,
    -0.0,
    0x1.0p-1073
  },
  { // Entry 19
    -0x1.p-1073,
    0x1.0p-1074,
    -0x1.0p-1073
  },
  { // Entry 20
    -0x1.p-1074,
    0x1.0p-1074,
    -0x1.0p-1074
  },
  { // Entry 21
    -0.0,
    0x1.0p-1074,
    -0.0
  },
  { // Entry 22
    0x1.p-1074,
    0x1.0p-1074,
    0x1.0p-1074
  },
  { // Entry 23
    0x1.p-1074,
    0x1.0p-1074,
    0x1.0p-1073
  },
  { // Entry 24
    -0x1.p-1073,
    0x1.0p-1073,
    -0x1.0p-1073
  },
  { // Entry 25
    -0x1.p-1074,
    0x1.0p-1073,
    -0x1.0p-1074
  },
  { // Entry 26
    -0.0,
    0x1.0p-1073,
    -0.0
  },
  { // Entry 27
    0x1.p-1074,
    0x1.0p-1073,
    0x1.0p-1074
  },
  { // Entry 28
    0x1.p-1073,
    0x1.0p-1073,
    0x1.0p-1073
  },
  { // Entry 29
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    -0x1.fffffffffffffp1023
  },
  { // Entry 30
    0x1.fffffffffffff0p1023,
    0x1.fffffffffffffp1023,
    0x1.fffffffffffffp1023
  },
  { // Entry 31
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    0x1.fffffffffffffp1023
  },
  { // Entry 32
    -0x1.p-1074,
    -0x1.0p-1074,
    -0x1.0p-1074
  },
  { // Entry 33
    0x1.p-1074,
    0x1.0p-1074,
    0x1.0p-1074
  },
  { // Entry 34
    -0x1.p-1074,
    0x1.0p-1074,
    -0x1.0p-1074
  },
  { // Entry 35
    0x1.ffffffffffffc0p-1024,
    0x1.ffffffffffffcp-1024,
    0x1.ffffffffffffcp-1024
  },
  { // Entry 36
    0x1.ffffffffffffc0p-1024,
    0x1.ffffffffffffcp-1024,
    0x1.0p-1023
  },
  { // Entry 37
    0x1.ffffffffffffc0p-1024,
    0x1.ffffffffffffcp-1024,
    0x1.0000000000002p-1023
  },
  { // Entry 38
    0x1.ffffffffffffc0p-1024,
    0x1.0p-1023,
    0x1.ffffffffffffcp-1024
  },
  { // Entry 39
    0x1.p-1023,
    0x1.0p-1023,
    0x1.0p-1023
  },
  { // Entry 40
    0x1.p-1023,
    0x1.0p-1023,
    0x1.0000000000002p-1023
  },
  { // Entry 41
    0x1.ffffffffffffc0p-1024,
    0x1.0000000000002p-1023,
    0x1.ffffffffffffcp-1024
  },
  { // Entry 42
    0x1.p-1023,
    0x1.0000000000002p-1023,
    0x1.0p-1023
  },
  { // Entry 43
    0x1.00000000000020p-1023,
    0x1.0000000000002p-1023,
    0x1.0000000000002p-1023
  },
  { // Entry 44
    0x1.fffffffffffff0p-51,
    0x1.fffffffffffffp-51,
    0x1.fffffffffffffp-51
  },
  { // Entry 45
    0x1.fffffffffffff0p-51,
    0x1.fffffffffffffp-51,
    0x1.0p-50
  },
  { // Entry 46
    0x1.fffffffffffff0p-51,
    0x1.fffffffffffffp-51,
    0x1.0000000000001p-50
  },
  { // Entry 47
    0x1.fffffffffffff0p-51,
    0x1.0p-50,
    0x1.fffffffffffffp-51
  },
  { // Entry 48
    0x1.p-50,
    0x1.0p-50,
    0x1.0p-50
  },
  { // Entry 49
    0x1.p-50,
    0x1.0p-50,
    0x1.0000000000001p-50
  },
  { // Entry 50
    0x1.fffffffffffff0p-51,
    0x1.0000000000001p-50,
    0x1.fffffffffffffp-51
  },
  { // Entry 51
    0x1.p-50,
    0x1.0000000000001p-50,
    0x1.0p-50
  },
  { // Entry 52
    0x1.00000000000010p-50,
    0x1.0000000000001p-50,
    0x1.0000000000001p-50
  },
  { // Entry 53
    0x1.fffffffffffff0p-11,
    0x1.fffffffffffffp-11,
    0x1.fffffffffffffp-11
  },
  { // Entry 54
    0x1.fffffffffffff0p-11,
    0x1.fffffffffffffp-11,
    0x1.0p-10
  },
  { // Entry 55
    0x1.fffffffffffff0p-11,
    0x1.fffffffffffffp-11,
    0x1.0000000000001p-10
  },
  { // Entry 56
    0x1.fffffffffffff0p-11,
    0x1.0p-10,
    0x1.fffffffffffffp-11
  },
  { // Entry 57
    0x1.p-10,
    0x1.0p-10,
    0x1.0p-10
  },
  { // Entry 58
    0x1.p-10,
    0x1.0p-10,
    0x1.0000000000001p-10
  },
  { // Entry 59
    0x1.fffffffffffff0p-11,
    0x1.0000000000001p-10,
    0x1.fffffffffffffp-11
  },
  { // Entry 60
    0x1.p-10,
    0x1.0000000000001p-10,
    0x1.0p-10
  },
  { // Entry 61
    0x1.00000000000010p-10,
    0x1.0000000000001p-10,
    0x1.0000000000001p-10
  },
  { // Entry 62
    0x1.fffffffffffff0p-2,
    0x1.fffffffffffffp-2,
    0x1.fffffffffffffp-2
  },
  { // Entry 63
    0x1.fffffffffffff0p-2,
    0x1.fffffffffffffp-2,
    0x1.0p-1
  },
  { // Entry 64
    0x1.fffffffffffff0p-2,
    0x1.fffffffffffffp-2,
    0x1.0000000000001p-1
  },
  { // Entry 65
    0x1.fffffffffffff0p-2,
    0x1.0p-1,
    0x1.fffffffffffffp-2
  },
  { // Entry 66
    0x1.p-1,
    0x1.0p-1,
    0x1.0p-1
  },
  { // Entry 67
    0x1.p-1,
    0x1.0p-1,
    0x1.0000000000001p-1
  },
  { // Entry 68
    0x1.fffffffffffff0p-2,
    0x1.0000000000001p-1,
    0x1.fffffffffffffp-2
  },
  { // Entry 69
    0x1.p-1,
    0x1.0000000000001p-1,
    0x1.0p-1
  },
  { // Entry 70
    0x1.00000000000010p-1,
    0x1.0000000000001p-1,
    0x1.0000000000001p-1
  },
  { // Entry 71
    0x1.fffffffffffff0p0,
    0x1.fffffffffffffp0,
    0x1.fffffffffffffp0
  },
  { // Entry 72
    0x1.fffffffffffff0p0,
    0x1.fffffffffffffp0,
    0x1.0p1
  },
  { // Entry 73
    0x1.fffffffffffff0p0,
    0x1.fffffffffffffp0,
    0x1.0000000000001p1
  },
  { // Entry 74
    0x1.fffffffffffff0p0,
    0x1.0p1,
    0x1.fffffffffffffp0
  },
  { // Entry 75
    0x1.p1,
    0x1.0p1,
    0x1.0p1
  },
  { // Entry 76
    0x1.p1,
    0x1.0p1,
    0x1.0000000000001p1
  },
  { // Entry 77
    0x1.fffffffffffff0p0,
    0x1.0000000000001p1,
    0x1.fffffffffffffp0
  },
  { // Entry 78
    0x1.p1,
    0x1.0000000000001p1,
    0x1.0p1
  },
  { // Entry 79
    0x1.00000000000010p1,
    0x1.0000000000001p1,
    0x1.0000000000001p1
  },
  { // Entry 80
    0x1.fffffffffffff0p9,
    0x1.fffffffffffffp9,
    0x1.fffffffffffffp9
  },
  { // Entry 81
    0x1.fffffffffffff0p9,
    0x1.fffffffffffffp9,
    0x1.0p10
  },
  { // Entry 82
    0x1.fffffffffffff0p9,
    0x1.fffffffffffffp9,
    0x1.0000000000001p10
  },
  { // Entry 83
    0x1.fffffffffffff0p9,
    0x1.0p10,
    0x1.fffffffffffffp9
  },
  { // Entry 84
    0x1.p10,
    0x1.0p10,
    0x1.0p10
  },
  { // Entry 85
    0x1.p10,
    0x1.0p10,
    0x1.0000000000001p10
  },
  { // Entry 86
    0x1.fffffffffffff0p9,
    0x1.0000000000001p10,
    0x1.fffffffffffffp9
  },
  { // Entry 87
    0x1.p10,
    0x1.0000000000001p10,
    0x1.0p10
  },
  { // Entry 88
    0x1.00000000000010p10,
    0x1.0000000000001p10,
    0x1.0000000000001p10
  },
  { // Entry 89
    0x1.fffffffffffff0p49,
    0x1.fffffffffffffp49,
    0x1.fffffffffffffp49
  },
  { // Entry 90
    0x1.fffffffffffff0p49,
    0x1.fffffffffffffp49,
    0x1.0p50
  },
  { // Entry 91
    0x1.fffffffffffff0p49,
    0x1.fffffffffffffp49,
    0x1.0000000000001p50
  },
  { // Entry 92
    0x1.fffffffffffff0p49,
    0x1.0p50,
    0x1.fffffffffffffp49
  },
  { // Entry 93
    0x1.p50,
    0x1.0p50,
    0x1.0p50
  },
  { // Entry 94
    0x1.p50,
    0x1.0p50,
    0x1.0000000000001p50
  },
  { // Entry 95
    0x1.fffffffffffff0p49,
    0x1.0000000000001p50,
    0x1.fffffffffffffp49
  },
  { // Entry 96
    0x1.p50,
    0x1.0000000000001p50,
    0x1.0p50
  },
  { // Entry 97
    0x1.00000000000010p50,
    0x1.0000000000001p50,
    0x1.0000000000001p50
  },
  { // Entry 98
    0x1.fffffffffffff0p1022,
    0x1.fffffffffffffp1022,
    0x1.fffffffffffffp1022
  },
  { // Entry 99
    0x1.fffffffffffff0p1022,
    0x1.fffffffffffffp1022,
    0x1.0p1023
  },
  { // Entry 100
    0x1.fffffffffffff0p1022,
    0x1.fffffffffffffp1022,
    0x1.0000000000001p1023
  },
  { // Entry 101
    0x1.fffffffffffff0p1022,
    0x1.0p1023,
    0x1.fffffffffffffp1022
  },
  { // Entry 102
    0x1.p1023,
    0x1.0p1023,
    0x1.0p1023
  },
  { // Entry 103
    0x1.p1023,
    0x1.0p1023,
    0x1.0000000000001p1023
  },
  { // Entry 104
    0x1.fffffffffffff0p1022,
    0x1.0000000000001p1023,
    0x1.fffffffffffffp1022
  },
  { // Entry 105
    0x1.p1023,
    0x1.0000000000001p1023,
    0x1.0p1023
  },
  { // Entry 106
    0x1.00000000000010p1023,
    0x1.0000000000001p1023,
    0x1.0000000000001p1023
  },
  { // Entry 107
    HUGE_VAL,
    HUGE_VAL,
    HUGE_VAL
  },
  { // Entry 108
    0x1.fffffffffffff0p1023,
    HUGE_VAL,
    0x1.fffffffffffffp1023
  },
  { // Entry 109
    0x1.p-1022,
    HUGE_VAL,
    0x1.0p-1022
  },
  { // Entry 110
    0x1.p-1074,
    HUGE_VAL,
    0x1.0p-1074
  },
  { // Entry 111
    0.0,
    HUGE_VAL,
    0.0
  },
  { // Entry 112
    -0.0,
    HUGE_VAL,
    -0.0
  },
  { // Entry 113
    -0x1.p-1074,
    HUGE_VAL,
    -0x1.0p-1074
  },
  { // Entry 114
    -0x1.p-1022,
    HUGE_VAL,
    -0x1.0p-1022
  },
  { // Entry 115
    -0x1.fffffffffffff0p1023,
    HUGE_VAL,
    -0x1.fffffffffffffp1023
  },
  { // Entry 116
    -HUGE_VAL,
    HUGE_VAL,
    -HUGE_VAL
  },
  { // Entry 117
    0x1.fffffffffffff0p1023,
    0x1.fffffffffffffp1023,
    HUGE_VAL
  },
  { // Entry 118
    0x1.p-1022,
    0x1.0p-1022,
    HUGE_VAL
  },
  { // Entry 119
    0x1.p-1074,
    0x1.0p-1074,
    HUGE_VAL
  },
  { // Entry 120
    0.0,
    0.0,
    HUGE_VAL
  },
  { // Entry 121
    -0.0,
    -0.0,
    HUGE_VAL
  },
  { // Entry 122
    -0x1.p-1074,
    -0x1.0p-1074,
    HUGE_VAL
  },
  { // Entry 123
    -0x1.p-1022,
    -0x1.0p-1022,
    HUGE_VAL
  },
  { // Entry 124
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    HUGE_VAL
  },
  { // Entry 125
    -HUGE_VAL,
    -HUGE_VAL,
    HUGE_VAL
  },
  { // Entry 126
    0x1.fffffffffffff0p1023,
    0x1.fffffffffffffp1023,
    0x1.fffffffffffffp1023
  },
  { // Entry 127
    0x1.p-1022,
    0x1.fffffffffffffp1023,
    0x1.0p-1022
  },
  { // Entry 128
    0x1.p-1074,
    0x1.fffffffffffffp1023,
    0x1.0p-1074
  },
  { // Entry 129
    0.0,
    0x1.fffffffffffffp1023,
    0.0
  },
  { // Entry 130
    -0.0,
    0x1.fffffffffffffp1023,
    -0.0
  },
  { // Entry 131
    -0x1.p-1074,
    0x1.fffffffffffffp1023,
    -0x1.0p-1074
  },
  { // Entry 132
    -0x1.p-1022,
    0x1.fffffffffffffp1023,
    -0x1.0p-1022
  },
  { // Entry 133
    -0x1.fffffffffffff0p1023,
    0x1.fffffffffffffp1023,
    -0x1.fffffffffffffp1023
  },
  { // Entry 134
    -HUGE_VAL,
    0x1.fffffffffffffp1023,
    -HUGE_VAL
  },
  { // Entry 135
    0x1.p-1022,
    0x1.0p-1022,
    0x1.fffffffffffffp1023
  },
  { // Entry 136
    0x1.p-1074,
    0x1.0p-1074,
    0x1.fffffffffffffp1023
  },
  { // Entry 137
    0.0,
    0.0,
    0x1.fffffffffffffp1023
  },
  { // Entry 138
    -0.0,
    -0.0,
    0x1.fffffffffffffp1023
  },
  { // Entry 139
    -0x1.p-1074,
    -0x1.0p-1074,
    0x1.fffffffffffffp1023
  },
  { // Entry 140
    -0x1.p-1022,
    -0x1.0p-1022,
    0x1.fffffffffffffp1023
  },
  { // Entry 141
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    0x1.fffffffffffffp1023
  },
  { // Entry 142
    -HUGE_VAL,
    -HUGE_VAL,
    0x1.fffffffffffffp1023
  },
  { // Entry 143
    0x1.p-1022,
    0x1.0p-1022,
    0x1.0p-1022
  },
  { // Entry 144
    0x1.p-1074,
    0x1.0p-1022,
    0x1.0p-1074
  },
  { // Entry 145
    0.0,
    0x1.0p-1022,
    0.0
  },
  { // Entry 146
    -0.0,
    0x1.0p-1022,
    -0.0
  },
  { // Entry 147
    -0x1.p-1074,
    0x1.0p-1022,
    -0x1.0p-1074
  },
  { // Entry 148
    -0x1.p-1022,
    0x1.0p-1022,
    -0x1.0p-1022
  },
  { // Entry 149
    -0x1.fffffffffffff0p1023,
    0x1.0p-1022,
    -0x1.fffffffffffffp1023
  },
  { // Entry 150
    -HUGE_VAL,
    0x1.0p-1022,
    -HUGE_VAL
  },
  { // Entry 151
    0x1.p-1074,
    0x1.0p-1074,
    0x1.0p-1022
  },
  { // Entry 152
    0.0,
    0.0,
    0x1.0p-1022
  },
  { // Entry 153
    -0.0,
    -0.0,
    0x1.0p-1022
  },
  { // Entry 154
    -0x1.p-1074,
    -0x1.0p-1074,
    0x1.0p-1022
  },
  { // Entry 155
    -0x1.p-1022,
    -0x1.0p-1022,
    0x1.0p-1022
  },
  { // Entry 156
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    0x1.0p-1022
  },
  { // Entry 157
    -HUGE_VAL,
    -HUGE_VAL,
    0x1.0p-1022
  },
  { // Entry 158
    0x1.p-1074,
    0x1.0p-1074,
    0x1.0p-1074
  },
  { // Entry 159
    0.0,
    0x1.0p-1074,
    0.0
  },
  { // Entry 160
    -0.0,
    0x1.0p-1074,
    -0.0
  },
  { // Entry 161
    -0x1.p-1074,
    0x1.0p-1074,
    -0x1.0p-1074
  },
  { // Entry 162
    -0x1.p-1022,
    0x1.0p-1074,
    -0x1.0p-1022
  },
  { // Entry 163
    -0x1.fffffffffffff0p1023,
    0x1.0p-1074,
    -0x1.fffffffffffffp1023
  },
  { // Entry 164
    -HUGE_VAL,
    0x1.0p-1074,
    -HUGE_VAL
  },
  { // Entry 165
    0.0,
    0.0,
    0x1.0p-1074
  },
  { // Entry 166
    -0.0,
    -0.0,
    0x1.0p-1074
  },
  { // Entry 167
    -0x1.p-1074,
    -0x1.0p-1074,
    0x1.0p-1074
  },
  { // Entry 168
    -0x1.p-1022,
    -0x1.0p-1022,
    0x1.0p-1074
  },
  { // Entry 169
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    0x1.0p-1074
  },
  { // Entry 170
    -HUGE_VAL,
    -HUGE_VAL,
    0x1.0p-1074
  },
  { // Entry 171
    0.0,
    0.0,
    0.0
  },
  { // Entry 172
    0.0,
    0.0,
    -0.0
  },
  { // Entry 173
    -0x1.p-1074,
    0.0,
    -0x1.0p-1074
  },
  { // Entry 174
    -0x1.p-1022,
    0.0,
    -0x1.0p-1022
  },
  { // Entry 175
    -0x1.fffffffffffff0p1023,
    0.0,
    -0x1.fffffffffffffp1023
  },
  { // Entry 176
    -HUGE_VAL,
    0.0,
    -HUGE_VAL
  },
  { // Entry 177
    -0.0,
    -0.0,
    0.0
  },
  { // Entry 178
    -0x1.p-1074,
    -0x1.0p-1074,
    0.0
  },
  { // Entry 179
    -0x1.p-1022,
    -0x1.0p-1022,
    0.0
  },
  { // Entry 180
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    0.0
  },
  { // Entry 181
    -HUGE_VAL,
    -HUGE_VAL,
    0.0
  },
  { // Entry 182
    -0.0,
    -0.0,
    -0.0
  },
  { // Entry 183
    -0x1.p-1074,
    -0.0,
    -0x1.0p-1074
  },
  { // Entry 184
    -0x1.p-1022,
    -0.0,
    -0x1.0p-1022
  },
  { // Entry 185
    -0x1.fffffffffffff0p1023,
    -0.0,
    -0x1.fffffffffffffp1023
  },
  { // Entry 186
    -HUGE_VAL,
    -0.0,
    -HUGE_VAL
  },
  { // Entry 187
    -0x1.p-1074,
    -0x1.0p-1074,
    -0.0
  },
  { // Entry 188
    -0x1.p-1022,
    -0x1.0p-1022,
    -0.0
  },
  { // Entry 189
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    -0.0
  },
  { // Entry 190
    -HUGE_VAL,
    -HUGE_VAL,
    -0.0
  },
  { // Entry 191
    -0x1.p-1074,
    -0x1.0p-1074,
    -0x1.0p-1074
  },
  { // Entry 192
    -0x1.p-1022,
    -0x1.0p-1074,
    -0x1.0p-1022
  },
  { // Entry 193
    -0x1.fffffffffffff0p1023,
    -0x1.0p-1074,
    -0x1.fffffffffffffp1023
  },
  { // Entry 194
    -HUGE_VAL,
    -0x1.0p-1074,
    -HUGE_VAL
  },
  { // Entry 195
    -0x1.p-1022,
    -0x1.0p-1022,
    -0x1.0p-1074
  },
  { // Entry 196
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    -0x1.0p-1074
  },
  { // Entry 197
    -HUGE_VAL,
    -HUGE_VAL,
    -0x1.0p-1074
  },
  { // Entry 198
    -0x1.p-1022,
    -0x1.0p-1022,
    -0x1.0p-1022
  },
  { // Entry 199
    -0x1.fffffffffffff0p1023,
    -0x1.0p-1022,
    -0x1.fffffffffffffp1023
  },
  { // Entry 200
    -HUGE_VAL,
    -0x1.0p-1022,
    -HUGE_VAL
  },
  { // Entry 201
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    -0x1.0p-1022
  },
  { // Entry 202
    -HUGE_VAL,
    -HUGE_VAL,
    -0x1.0p-1022
  },
  { // Entry 203
    -0x1.fffffffffffff0p1023,
    -0x1.fffffffffffffp1023,
    -0x1.fffffffffffffp1023
  },
  { // Entry 204
    -HUGE_VAL,
    -0x1.fffffffffffffp1023,
    -HUGE_VAL
  },
  { // Entry 205
    -HUGE_VAL,
    -HUGE_VAL,
    -0x1.fffffffffffffp1023
  },
  { // Entry 206
    -HUGE_VAL,
    -HUGE_VAL,
    -HUGE_VAL
  },
  { // Entry 207
    0x1.p-1074,
    0x1.0p-1074,
    0x1.ffffffffffffep-1023
  },
  { // Entry 208
    0x1.p-1074,
    0x1.ffffffffffffep-1023,
    0x1.0p-1074
  },
  { // Entry 209
    -0x1.p-1074,
    -0x1.0p-1074,
    0x1.ffffffffffffep-1023
  },
  { // Entry 210
    -0x1.ffffffffffffe0p-1023,
    -0x1.ffffffffffffep-1023,
    0x1.0p-1074
  },
  { // Entry 211
    -0x1.ffffffffffffe0p-1023,
    0x1.0p-1074,
    -0x1.ffffffffffffep-1023
  },
  { // Entry 212
    -0x1.p-1074,
    0x1.ffffffffffffep-1023,
    -0x1.0p-1074
  },
  { // Entry 213
    -0x1.ffffffffffffe0p-1023,
    -0x1.0p-1074,
    -0x1.ffffffffffffep-1023
  },
  { // Entry 214
    -0x1.ffffffffffffe0p-1023,
    -0x1.ffffffffffffep-1023,
    -0x1.0p-1074
  }
};
