/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

static data_1_2_t<float, float, float> g_nextafterf_intel_data[] = {
  { // Entry 0
    -0x1.p-149,
    -0x1.p-149,
    -0x1.p-149
  },
  { // Entry 1
    -0.0,
    -0x1.p-149,
    0.0
  },
  { // Entry 2
    -0.0,
    -0x1.p-149,
    0x1.p-149
  },
  { // Entry 3
    -0x1.p-149,
    0.0,
    -0x1.p-149
  },
  { // Entry 4
    0.0,
    0.0,
    0.0
  },
  { // Entry 5
    0x1.p-149,
    0.0,
    0x1.p-149
  },
  { // Entry 6
    0.0,
    0x1.p-149,
    -0x1.p-149
  },
  { // Entry 7
    0.0,
    0x1.p-149,
    0.0
  },
  { // Entry 8
    0x1.p-149,
    0x1.p-149,
    0x1.p-149
  },
  { // Entry 9
    0x1.fffffep-1,
    0x1.fffffep-1,
    0x1.fffffep-1
  },
  { // Entry 10
    0x1.p0,
    0x1.fffffep-1,
    0x1.p0
  },
  { // Entry 11
    0x1.p0,
    0x1.fffffep-1,
    0x1.000002p0
  },
  { // Entry 12
    0x1.fffffep-1,
    0x1.p0,
    0x1.fffffep-1
  },
  { // Entry 13
    0x1.p0,
    0x1.p0,
    0x1.p0
  },
  { // Entry 14
    0x1.000002p0,
    0x1.p0,
    0x1.000002p0
  },
  { // Entry 15
    0x1.p0,
    0x1.000002p0,
    0x1.fffffep-1
  },
  { // Entry 16
    0x1.p0,
    0x1.000002p0,
    0x1.p0
  },
  { // Entry 17
    0x1.000002p0,
    0x1.000002p0,
    0x1.000002p0
  },
  { // Entry 18
    0x1.fffffcp-1,
    0x1.fffffep-1,
    -0x1.000002p0
  },
  { // Entry 19
    0x1.fffffcp-1,
    0x1.fffffep-1,
    -0x1.p0
  },
  { // Entry 20
    0x1.fffffcp-1,
    0x1.fffffep-1,
    -0x1.fffffep-1
  },
  { // Entry 21
    0x1.fffffep-1,
    0x1.p0,
    -0x1.000002p0
  },
  { // Entry 22
    0x1.fffffep-1,
    0x1.p0,
    -0x1.p0
  },
  { // Entry 23
    0x1.fffffep-1,
    0x1.p0,
    -0x1.fffffep-1
  },
  { // Entry 24
    0x1.p0,
    0x1.000002p0,
    -0x1.000002p0
  },
  { // Entry 25
    0x1.p0,
    0x1.000002p0,
    -0x1.p0
  },
  { // Entry 26
    0x1.p0,
    0x1.000002p0,
    -0x1.fffffep-1
  },
  { // Entry 27
    -0x1.p0,
    -0x1.000002p0,
    0x1.fffffep-1
  },
  { // Entry 28
    -0x1.p0,
    -0x1.000002p0,
    0x1.p0
  },
  { // Entry 29
    -0x1.p0,
    -0x1.000002p0,
    0x1.000002p0
  },
  { // Entry 30
    -0x1.fffffep-1,
    -0x1.p0,
    0x1.fffffep-1
  },
  { // Entry 31
    -0x1.fffffep-1,
    -0x1.p0,
    0x1.p0
  },
  { // Entry 32
    -0x1.fffffep-1,
    -0x1.p0,
    0x1.000002p0
  },
  { // Entry 33
    -0x1.fffffcp-1,
    -0x1.fffffep-1,
    0x1.fffffep-1
  },
  { // Entry 34
    -0x1.fffffcp-1,
    -0x1.fffffep-1,
    0x1.p0
  },
  { // Entry 35
    -0x1.fffffcp-1,
    -0x1.fffffep-1,
    0x1.000002p0
  },
  { // Entry 36
    -0x1.000002p0,
    -0x1.000002p0,
    -0x1.000002p0
  },
  { // Entry 37
    -0x1.p0,
    -0x1.000002p0,
    -0x1.p0
  },
  { // Entry 38
    -0x1.p0,
    -0x1.000002p0,
    -0x1.fffffep-1
  },
  { // Entry 39
    -0x1.000002p0,
    -0x1.p0,
    -0x1.000002p0
  },
  { // Entry 40
    -0x1.p0,
    -0x1.p0,
    -0x1.p0
  },
  { // Entry 41
    -0x1.fffffep-1,
    -0x1.p0,
    -0x1.fffffep-1
  },
  { // Entry 42
    -0x1.p0,
    -0x1.fffffep-1,
    -0x1.000002p0
  },
  { // Entry 43
    -0x1.p0,
    -0x1.fffffep-1,
    -0x1.p0
  },
  { // Entry 44
    -0x1.fffffep-1,
    -0x1.fffffep-1,
    -0x1.fffffep-1
  },
  { // Entry 45
    0x1.fffffep0,
    0x1.fffffep0,
    0x1.fffffep0
  },
  { // Entry 46
    0x1.p1,
    0x1.fffffep0,
    0x1.p1
  },
  { // Entry 47
    0x1.p1,
    0x1.fffffep0,
    0x1.000002p1
  },
  { // Entry 48
    0x1.fffffep0,
    0x1.p1,
    0x1.fffffep0
  },
  { // Entry 49
    0x1.p1,
    0x1.p1,
    0x1.p1
  },
  { // Entry 50
    0x1.000002p1,
    0x1.p1,
    0x1.000002p1
  },
  { // Entry 51
    0x1.p1,
    0x1.000002p1,
    0x1.fffffep0
  },
  { // Entry 52
    0x1.p1,
    0x1.000002p1,
    0x1.p1
  },
  { // Entry 53
    0x1.000002p1,
    0x1.000002p1,
    0x1.000002p1
  },
  { // Entry 54
    0x1.fffffcp0,
    0x1.fffffep0,
    -0x1.000002p1
  },
  { // Entry 55
    0x1.fffffcp0,
    0x1.fffffep0,
    -0x1.p1
  },
  { // Entry 56
    0x1.fffffcp0,
    0x1.fffffep0,
    -0x1.fffffep0
  },
  { // Entry 57
    0x1.fffffep0,
    0x1.p1,
    -0x1.000002p1
  },
  { // Entry 58
    0x1.fffffep0,
    0x1.p1,
    -0x1.p1
  },
  { // Entry 59
    0x1.fffffep0,
    0x1.p1,
    -0x1.fffffep0
  },
  { // Entry 60
    0x1.p1,
    0x1.000002p1,
    -0x1.000002p1
  },
  { // Entry 61
    0x1.p1,
    0x1.000002p1,
    -0x1.p1
  },
  { // Entry 62
    0x1.p1,
    0x1.000002p1,
    -0x1.fffffep0
  },
  { // Entry 63
    -0x1.p1,
    -0x1.000002p1,
    0x1.fffffep0
  },
  { // Entry 64
    -0x1.p1,
    -0x1.000002p1,
    0x1.p1
  },
  { // Entry 65
    -0x1.p1,
    -0x1.000002p1,
    0x1.000002p1
  },
  { // Entry 66
    -0x1.fffffep0,
    -0x1.p1,
    0x1.fffffep0
  },
  { // Entry 67
    -0x1.fffffep0,
    -0x1.p1,
    0x1.p1
  },
  { // Entry 68
    -0x1.fffffep0,
    -0x1.p1,
    0x1.000002p1
  },
  { // Entry 69
    -0x1.fffffcp0,
    -0x1.fffffep0,
    0x1.fffffep0
  },
  { // Entry 70
    -0x1.fffffcp0,
    -0x1.fffffep0,
    0x1.p1
  },
  { // Entry 71
    -0x1.fffffcp0,
    -0x1.fffffep0,
    0x1.000002p1
  },
  { // Entry 72
    -0x1.000002p1,
    -0x1.000002p1,
    -0x1.000002p1
  },
  { // Entry 73
    -0x1.p1,
    -0x1.000002p1,
    -0x1.p1
  },
  { // Entry 74
    -0x1.p1,
    -0x1.000002p1,
    -0x1.fffffep0
  },
  { // Entry 75
    -0x1.000002p1,
    -0x1.p1,
    -0x1.000002p1
  },
  { // Entry 76
    -0x1.p1,
    -0x1.p1,
    -0x1.p1
  },
  { // Entry 77
    -0x1.fffffep0,
    -0x1.p1,
    -0x1.fffffep0
  },
  { // Entry 78
    -0x1.p1,
    -0x1.fffffep0,
    -0x1.000002p1
  },
  { // Entry 79
    -0x1.p1,
    -0x1.fffffep0,
    -0x1.p1
  },
  { // Entry 80
    -0x1.fffffep0,
    -0x1.fffffep0,
    -0x1.fffffep0
  },
  { // Entry 81
    0x1.fffffep9,
    0x1.fffffep9,
    0x1.fffffep9
  },
  { // Entry 82
    0x1.p10,
    0x1.fffffep9,
    0x1.p10
  },
  { // Entry 83
    0x1.p10,
    0x1.fffffep9,
    0x1.000002p10
  },
  { // Entry 84
    0x1.fffffep9,
    0x1.p10,
    0x1.fffffep9
  },
  { // Entry 85
    0x1.p10,
    0x1.p10,
    0x1.p10
  },
  { // Entry 86
    0x1.000002p10,
    0x1.p10,
    0x1.000002p10
  },
  { // Entry 87
    0x1.p10,
    0x1.000002p10,
    0x1.fffffep9
  },
  { // Entry 88
    0x1.p10,
    0x1.000002p10,
    0x1.p10
  },
  { // Entry 89
    0x1.000002p10,
    0x1.000002p10,
    0x1.000002p10
  },
  { // Entry 90
    0x1.fffffcp9,
    0x1.fffffep9,
    -0x1.000002p10
  },
  { // Entry 91
    0x1.fffffcp9,
    0x1.fffffep9,
    -0x1.p10
  },
  { // Entry 92
    0x1.fffffcp9,
    0x1.fffffep9,
    -0x1.fffffep9
  },
  { // Entry 93
    0x1.fffffep9,
    0x1.p10,
    -0x1.000002p10
  },
  { // Entry 94
    0x1.fffffep9,
    0x1.p10,
    -0x1.p10
  },
  { // Entry 95
    0x1.fffffep9,
    0x1.p10,
    -0x1.fffffep9
  },
  { // Entry 96
    0x1.p10,
    0x1.000002p10,
    -0x1.000002p10
  },
  { // Entry 97
    0x1.p10,
    0x1.000002p10,
    -0x1.p10
  },
  { // Entry 98
    0x1.p10,
    0x1.000002p10,
    -0x1.fffffep9
  },
  { // Entry 99
    -0x1.p10,
    -0x1.000002p10,
    0x1.fffffep9
  },
  { // Entry 100
    -0x1.p10,
    -0x1.000002p10,
    0x1.p10
  },
  { // Entry 101
    -0x1.p10,
    -0x1.000002p10,
    0x1.000002p10
  },
  { // Entry 102
    -0x1.fffffep9,
    -0x1.p10,
    0x1.fffffep9
  },
  { // Entry 103
    -0x1.fffffep9,
    -0x1.p10,
    0x1.p10
  },
  { // Entry 104
    -0x1.fffffep9,
    -0x1.p10,
    0x1.000002p10
  },
  { // Entry 105
    -0x1.fffffcp9,
    -0x1.fffffep9,
    0x1.fffffep9
  },
  { // Entry 106
    -0x1.fffffcp9,
    -0x1.fffffep9,
    0x1.p10
  },
  { // Entry 107
    -0x1.fffffcp9,
    -0x1.fffffep9,
    0x1.000002p10
  },
  { // Entry 108
    -0x1.000002p10,
    -0x1.000002p10,
    -0x1.000002p10
  },
  { // Entry 109
    -0x1.p10,
    -0x1.000002p10,
    -0x1.p10
  },
  { // Entry 110
    -0x1.p10,
    -0x1.000002p10,
    -0x1.fffffep9
  },
  { // Entry 111
    -0x1.000002p10,
    -0x1.p10,
    -0x1.000002p10
  },
  { // Entry 112
    -0x1.p10,
    -0x1.p10,
    -0x1.p10
  },
  { // Entry 113
    -0x1.fffffep9,
    -0x1.p10,
    -0x1.fffffep9
  },
  { // Entry 114
    -0x1.p10,
    -0x1.fffffep9,
    -0x1.000002p10
  },
  { // Entry 115
    -0x1.p10,
    -0x1.fffffep9,
    -0x1.p10
  },
  { // Entry 116
    -0x1.fffffep9,
    -0x1.fffffep9,
    -0x1.fffffep9
  },
  { // Entry 117
    0x1.fffffep99,
    0x1.fffffep99,
    0x1.fffffep99
  },
  { // Entry 118
    0x1.p100,
    0x1.fffffep99,
    0x1.p100
  },
  { // Entry 119
    0x1.p100,
    0x1.fffffep99,
    0x1.000002p100
  },
  { // Entry 120
    0x1.fffffep99,
    0x1.p100,
    0x1.fffffep99
  },
  { // Entry 121
    0x1.p100,
    0x1.p100,
    0x1.p100
  },
  { // Entry 122
    0x1.000002p100,
    0x1.p100,
    0x1.000002p100
  },
  { // Entry 123
    0x1.p100,
    0x1.000002p100,
    0x1.fffffep99
  },
  { // Entry 124
    0x1.p100,
    0x1.000002p100,
    0x1.p100
  },
  { // Entry 125
    0x1.000002p100,
    0x1.000002p100,
    0x1.000002p100
  },
  { // Entry 126
    0x1.fffffcp99,
    0x1.fffffep99,
    -0x1.000002p100
  },
  { // Entry 127
    0x1.fffffcp99,
    0x1.fffffep99,
    -0x1.p100
  },
  { // Entry 128
    0x1.fffffcp99,
    0x1.fffffep99,
    -0x1.fffffep99
  },
  { // Entry 129
    0x1.fffffep99,
    0x1.p100,
    -0x1.000002p100
  },
  { // Entry 130
    0x1.fffffep99,
    0x1.p100,
    -0x1.p100
  },
  { // Entry 131
    0x1.fffffep99,
    0x1.p100,
    -0x1.fffffep99
  },
  { // Entry 132
    0x1.p100,
    0x1.000002p100,
    -0x1.000002p100
  },
  { // Entry 133
    0x1.p100,
    0x1.000002p100,
    -0x1.p100
  },
  { // Entry 134
    0x1.p100,
    0x1.000002p100,
    -0x1.fffffep99
  },
  { // Entry 135
    -0x1.p100,
    -0x1.000002p100,
    0x1.fffffep99
  },
  { // Entry 136
    -0x1.p100,
    -0x1.000002p100,
    0x1.p100
  },
  { // Entry 137
    -0x1.p100,
    -0x1.000002p100,
    0x1.000002p100
  },
  { // Entry 138
    -0x1.fffffep99,
    -0x1.p100,
    0x1.fffffep99
  },
  { // Entry 139
    -0x1.fffffep99,
    -0x1.p100,
    0x1.p100
  },
  { // Entry 140
    -0x1.fffffep99,
    -0x1.p100,
    0x1.000002p100
  },
  { // Entry 141
    -0x1.fffffcp99,
    -0x1.fffffep99,
    0x1.fffffep99
  },
  { // Entry 142
    -0x1.fffffcp99,
    -0x1.fffffep99,
    0x1.p100
  },
  { // Entry 143
    -0x1.fffffcp99,
    -0x1.fffffep99,
    0x1.000002p100
  },
  { // Entry 144
    -0x1.000002p100,
    -0x1.000002p100,
    -0x1.000002p100
  },
  { // Entry 145
    -0x1.p100,
    -0x1.000002p100,
    -0x1.p100
  },
  { // Entry 146
    -0x1.p100,
    -0x1.000002p100,
    -0x1.fffffep99
  },
  { // Entry 147
    -0x1.000002p100,
    -0x1.p100,
    -0x1.000002p100
  },
  { // Entry 148
    -0x1.p100,
    -0x1.p100,
    -0x1.p100
  },
  { // Entry 149
    -0x1.fffffep99,
    -0x1.p100,
    -0x1.fffffep99
  },
  { // Entry 150
    -0x1.p100,
    -0x1.fffffep99,
    -0x1.000002p100
  },
  { // Entry 151
    -0x1.p100,
    -0x1.fffffep99,
    -0x1.p100
  },
  { // Entry 152
    -0x1.fffffep99,
    -0x1.fffffep99,
    -0x1.fffffep99
  },
  { // Entry 153
    0x1.fffffcp127,
    0x1.fffffcp127,
    0x1.fffffcp127
  },
  { // Entry 154
    0x1.fffffep127,
    0x1.fffffcp127,
    0x1.fffffep127
  },
  { // Entry 155
    0x1.fffffep127,
    0x1.fffffcp127,
    0x1.fffffep127
  },
  { // Entry 156
    0x1.fffffcp127,
    0x1.fffffep127,
    0x1.fffffcp127
  },
  { // Entry 157
    0x1.fffffep127,
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 158
    0x1.fffffep127,
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 159
    0x1.fffffcp127,
    0x1.fffffep127,
    0x1.fffffcp127
  },
  { // Entry 160
    0x1.fffffep127,
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 161
    0x1.fffffep127,
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 162
    -0x1.fffffep127,
    -0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 163
    -0x1.fffffcp127,
    -0x1.fffffep127,
    -0x1.fffffcp127
  },
  { // Entry 164
    -0x1.fffffcp127,
    -0x1.fffffep127,
    -0x1.fffffap127
  },
  { // Entry 165
    -0x1.fffffep127,
    -0x1.fffffcp127,
    -0x1.fffffep127
  },
  { // Entry 166
    -0x1.fffffcp127,
    -0x1.fffffcp127,
    -0x1.fffffcp127
  },
  { // Entry 167
    -0x1.fffffap127,
    -0x1.fffffcp127,
    -0x1.fffffap127
  },
  { // Entry 168
    -0x1.fffffcp127,
    -0x1.fffffap127,
    -0x1.fffffep127
  },
  { // Entry 169
    -0x1.fffffcp127,
    -0x1.fffffap127,
    -0x1.fffffcp127
  },
  { // Entry 170
    -0x1.fffffap127,
    -0x1.fffffap127,
    -0x1.fffffap127
  },
  { // Entry 171
    0x1.fffffap127,
    0x1.fffffcp127,
    -0x1.fffffep127
  },
  { // Entry 172
    0x1.fffffap127,
    0x1.fffffcp127,
    -0x1.fffffcp127
  },
  { // Entry 173
    0x1.fffffap127,
    0x1.fffffcp127,
    -0x1.fffffap127
  },
  { // Entry 174
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 175
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.fffffcp127
  },
  { // Entry 176
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.fffffap127
  },
  { // Entry 177
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 178
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.fffffcp127
  },
  { // Entry 179
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.fffffap127
  },
  { // Entry 180
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0x1.fffffcp127
  },
  { // Entry 181
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 182
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 183
    -0x1.fffffap127,
    -0x1.fffffcp127,
    0x1.fffffcp127
  },
  { // Entry 184
    -0x1.fffffap127,
    -0x1.fffffcp127,
    0x1.fffffep127
  },
  { // Entry 185
    -0x1.fffffap127,
    -0x1.fffffcp127,
    0x1.fffffep127
  },
  { // Entry 186
    -0x1.fffff8p127,
    -0x1.fffffap127,
    0x1.fffffcp127
  },
  { // Entry 187
    -0x1.fffff8p127,
    -0x1.fffffap127,
    0x1.fffffep127
  },
  { // Entry 188
    -0x1.fffff8p127,
    -0x1.fffffap127,
    0x1.fffffep127
  },
  { // Entry 189
    0x1.fffffap127,
    0x1.fffffcp127,
    -0x1.p-149
  },
  { // Entry 190
    0x1.fffffap127,
    0x1.fffffcp127,
    0.0
  },
  { // Entry 191
    0x1.fffffap127,
    0x1.fffffcp127,
    0x1.p-149
  },
  { // Entry 192
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 193
    0x1.fffffcp127,
    0x1.fffffep127,
    0.0
  },
  { // Entry 194
    0x1.fffffcp127,
    0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 195
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 196
    0x1.fffffcp127,
    0x1.fffffep127,
    0.0
  },
  { // Entry 197
    0x1.fffffcp127,
    0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 198
    -0x1.fffffcp127,
    -0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 199
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0.0
  },
  { // Entry 200
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 201
    -0x1.fffffap127,
    -0x1.fffffcp127,
    -0x1.p-149
  },
  { // Entry 202
    -0x1.fffffap127,
    -0x1.fffffcp127,
    0.0
  },
  { // Entry 203
    -0x1.fffffap127,
    -0x1.fffffcp127,
    0x1.p-149
  },
  { // Entry 204
    -0x1.fffff8p127,
    -0x1.fffffap127,
    -0x1.p-149
  },
  { // Entry 205
    -0x1.fffff8p127,
    -0x1.fffffap127,
    0.0
  },
  { // Entry 206
    -0x1.fffff8p127,
    -0x1.fffffap127,
    0x1.p-149
  },
  { // Entry 207
    -0.0,
    -0x1.p-149,
    0x1.fffffcp127
  },
  { // Entry 208
    -0.0,
    -0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 209
    -0.0,
    -0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 210
    0x1.p-149,
    0.0,
    0x1.fffffcp127
  },
  { // Entry 211
    0x1.p-149,
    0.0,
    0x1.fffffep127
  },
  { // Entry 212
    0x1.p-149,
    0.0,
    0x1.fffffep127
  },
  { // Entry 213
    0x1.p-148,
    0x1.p-149,
    0x1.fffffcp127
  },
  { // Entry 214
    0x1.p-148,
    0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 215
    0x1.p-148,
    0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 216
    -0x1.p-148,
    -0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 217
    -0x1.p-148,
    -0x1.p-149,
    -0x1.fffffcp127
  },
  { // Entry 218
    -0x1.p-148,
    -0x1.p-149,
    -0x1.fffffap127
  },
  { // Entry 219
    -0x1.p-149,
    0.0,
    -0x1.fffffep127
  },
  { // Entry 220
    -0x1.p-149,
    0.0,
    -0x1.fffffcp127
  },
  { // Entry 221
    -0x1.p-149,
    0.0,
    -0x1.fffffap127
  },
  { // Entry 222
    0.0,
    0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 223
    0.0,
    0x1.p-149,
    -0x1.fffffcp127
  },
  { // Entry 224
    0.0,
    0x1.p-149,
    -0x1.fffffap127
  },
  { // Entry 225
    HUGE_VALF,
    HUGE_VALF,
    HUGE_VALF
  },
  { // Entry 226
    0x1.fffffep127,
    HUGE_VALF,
    0x1.fffffep127
  },
  { // Entry 227
    0x1.fffffep127,
    HUGE_VALF,
    0x1.p-126
  },
  { // Entry 228
    0x1.fffffep127,
    HUGE_VALF,
    0x1.fffffcp-127
  },
  { // Entry 229
    0x1.fffffep127,
    HUGE_VALF,
    0x1.p-149
  },
  { // Entry 230
    0x1.fffffep127,
    HUGE_VALF,
    0.0f
  },
  { // Entry 231
    0x1.fffffep127,
    HUGE_VALF,
    -0.0f
  },
  { // Entry 232
    0x1.fffffep127,
    HUGE_VALF,
    -0x1.p-149
  },
  { // Entry 233
    0x1.fffffep127,
    HUGE_VALF,
    -0x1.fffffcp-127
  },
  { // Entry 234
    0x1.fffffep127,
    HUGE_VALF,
    -0x1.p-126
  },
  { // Entry 235
    0x1.fffffep127,
    HUGE_VALF,
    -0x1.fffffep127
  },
  { // Entry 236
    0x1.fffffep127,
    HUGE_VALF,
    -HUGE_VALF
  },
  { // Entry 237
    HUGE_VALF,
    0x1.fffffep127,
    HUGE_VALF
  },
  { // Entry 238
    0x1.fffffep127,
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 239
    0x1.fffffcp127,
    0x1.fffffep127,
    0x1.p-126
  },
  { // Entry 240
    0x1.fffffcp127,
    0x1.fffffep127,
    0x1.fffffcp-127
  },
  { // Entry 241
    0x1.fffffcp127,
    0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 242
    0x1.fffffcp127,
    0x1.fffffep127,
    0.0f
  },
  { // Entry 243
    0x1.fffffcp127,
    0x1.fffffep127,
    -0.0f
  },
  { // Entry 244
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 245
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.fffffcp-127
  },
  { // Entry 246
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.p-126
  },
  { // Entry 247
    0x1.fffffcp127,
    0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 248
    0x1.fffffcp127,
    0x1.fffffep127,
    -HUGE_VALF
  },
  { // Entry 249
    0x1.000002p-126,
    0x1.p-126,
    HUGE_VALF
  },
  { // Entry 250
    0x1.000002p-126,
    0x1.p-126,
    0x1.fffffep127
  },
  { // Entry 251
    0x1.p-126,
    0x1.p-126,
    0x1.p-126
  },
  { // Entry 252
    0x1.fffffcp-127,
    0x1.p-126,
    0x1.fffffcp-127
  },
  { // Entry 253
    0x1.fffffcp-127,
    0x1.p-126,
    0x1.p-149
  },
  { // Entry 254
    0x1.fffffcp-127,
    0x1.p-126,
    0.0f
  },
  { // Entry 255
    0x1.fffffcp-127,
    0x1.p-126,
    -0.0f
  },
  { // Entry 256
    0x1.fffffcp-127,
    0x1.p-126,
    -0x1.p-149
  },
  { // Entry 257
    0x1.fffffcp-127,
    0x1.p-126,
    -0x1.fffffcp-127
  },
  { // Entry 258
    0x1.fffffcp-127,
    0x1.p-126,
    -0x1.p-126
  },
  { // Entry 259
    0x1.fffffcp-127,
    0x1.p-126,
    -0x1.fffffep127
  },
  { // Entry 260
    0x1.fffffcp-127,
    0x1.p-126,
    -HUGE_VALF
  },
  { // Entry 261
    0x1.p-126,
    0x1.fffffcp-127,
    HUGE_VALF
  },
  { // Entry 262
    0x1.p-126,
    0x1.fffffcp-127,
    0x1.fffffep127
  },
  { // Entry 263
    0x1.p-126,
    0x1.fffffcp-127,
    0x1.p-126
  },
  { // Entry 264
    0x1.fffffcp-127,
    0x1.fffffcp-127,
    0x1.fffffcp-127
  },
  { // Entry 265
    0x1.fffff8p-127,
    0x1.fffffcp-127,
    0x1.p-149
  },
  { // Entry 266
    0x1.fffff8p-127,
    0x1.fffffcp-127,
    0.0f
  },
  { // Entry 267
    0x1.fffff8p-127,
    0x1.fffffcp-127,
    -0.0f
  },
  { // Entry 268
    0x1.fffff8p-127,
    0x1.fffffcp-127,
    -0x1.p-149
  },
  { // Entry 269
    0x1.fffff8p-127,
    0x1.fffffcp-127,
    -0x1.fffffcp-127
  },
  { // Entry 270
    0x1.fffff8p-127,
    0x1.fffffcp-127,
    -0x1.p-126
  },
  { // Entry 271
    0x1.fffff8p-127,
    0x1.fffffcp-127,
    -0x1.fffffep127
  },
  { // Entry 272
    0x1.fffff8p-127,
    0x1.fffffcp-127,
    -HUGE_VALF
  },
  { // Entry 273
    0x1.p-148,
    0x1.p-149,
    HUGE_VALF
  },
  { // Entry 274
    0x1.p-148,
    0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 275
    0x1.p-148,
    0x1.p-149,
    0x1.p-126
  },
  { // Entry 276
    0x1.p-148,
    0x1.p-149,
    0x1.fffffcp-127
  },
  { // Entry 277
    0x1.p-149,
    0x1.p-149,
    0x1.p-149
  },
  { // Entry 278
    0.0,
    0x1.p-149,
    0.0f
  },
  { // Entry 279
    0.0,
    0x1.p-149,
    -0.0f
  },
  { // Entry 280
    0.0,
    0x1.p-149,
    -0x1.p-149
  },
  { // Entry 281
    0.0,
    0x1.p-149,
    -0x1.fffffcp-127
  },
  { // Entry 282
    0.0,
    0x1.p-149,
    -0x1.p-126
  },
  { // Entry 283
    0.0,
    0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 284
    0.0,
    0x1.p-149,
    -HUGE_VALF
  },
  { // Entry 285
    0x1.p-149,
    0.0f,
    HUGE_VALF
  },
  { // Entry 286
    0x1.p-149,
    0.0f,
    0x1.fffffep127
  },
  { // Entry 287
    0x1.p-149,
    0.0f,
    0x1.p-126
  },
  { // Entry 288
    0x1.p-149,
    0.0f,
    0x1.fffffcp-127
  },
  { // Entry 289
    0x1.p-149,
    0.0f,
    0x1.p-149
  },
  { // Entry 290
    0.0,
    0.0f,
    0.0f
  },
  { // Entry 291
    -0.0,
    0.0f,
    -0.0f
  },
  { // Entry 292
    -0x1.p-149,
    0.0f,
    -0x1.p-149
  },
  { // Entry 293
    -0x1.p-149,
    0.0f,
    -0x1.fffffcp-127
  },
  { // Entry 294
    -0x1.p-149,
    0.0f,
    -0x1.p-126
  },
  { // Entry 295
    -0x1.p-149,
    0.0f,
    -0x1.fffffep127
  },
  { // Entry 296
    -0x1.p-149,
    0.0f,
    -HUGE_VALF
  },
  { // Entry 297
    0x1.p-149,
    -0.0f,
    HUGE_VALF
  },
  { // Entry 298
    0x1.p-149,
    -0.0f,
    0x1.fffffep127
  },
  { // Entry 299
    0x1.p-149,
    -0.0f,
    0x1.p-126
  },
  { // Entry 300
    0x1.p-149,
    -0.0f,
    0x1.fffffcp-127
  },
  { // Entry 301
    0x1.p-149,
    -0.0f,
    0x1.p-149
  },
  { // Entry 302
    0.0,
    -0.0f,
    0.0f
  },
  { // Entry 303
    -0.0,
    -0.0f,
    -0.0f
  },
  { // Entry 304
    -0x1.p-149,
    -0.0f,
    -0x1.p-149
  },
  { // Entry 305
    -0x1.p-149,
    -0.0f,
    -0x1.fffffcp-127
  },
  { // Entry 306
    -0x1.p-149,
    -0.0f,
    -0x1.p-126
  },
  { // Entry 307
    -0x1.p-149,
    -0.0f,
    -0x1.fffffep127
  },
  { // Entry 308
    -0x1.p-149,
    -0.0f,
    -HUGE_VALF
  },
  { // Entry 309
    -0.0,
    -0x1.p-149,
    HUGE_VALF
  },
  { // Entry 310
    -0.0,
    -0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 311
    -0.0,
    -0x1.p-149,
    0x1.p-126
  },
  { // Entry 312
    -0.0,
    -0x1.p-149,
    0x1.fffffcp-127
  },
  { // Entry 313
    -0.0,
    -0x1.p-149,
    0x1.p-149
  },
  { // Entry 314
    -0.0,
    -0x1.p-149,
    0.0f
  },
  { // Entry 315
    -0.0,
    -0x1.p-149,
    -0.0f
  },
  { // Entry 316
    -0x1.p-149,
    -0x1.p-149,
    -0x1.p-149
  },
  { // Entry 317
    -0x1.p-148,
    -0x1.p-149,
    -0x1.fffffcp-127
  },
  { // Entry 318
    -0x1.p-148,
    -0x1.p-149,
    -0x1.p-126
  },
  { // Entry 319
    -0x1.p-148,
    -0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 320
    -0x1.p-148,
    -0x1.p-149,
    -HUGE_VALF
  },
  { // Entry 321
    -0x1.fffff8p-127,
    -0x1.fffffcp-127,
    HUGE_VALF
  },
  { // Entry 322
    -0x1.fffff8p-127,
    -0x1.fffffcp-127,
    0x1.fffffep127
  },
  { // Entry 323
    -0x1.fffff8p-127,
    -0x1.fffffcp-127,
    0x1.p-126
  },
  { // Entry 324
    -0x1.fffff8p-127,
    -0x1.fffffcp-127,
    0x1.fffffcp-127
  },
  { // Entry 325
    -0x1.fffff8p-127,
    -0x1.fffffcp-127,
    0x1.p-149
  },
  { // Entry 326
    -0x1.fffff8p-127,
    -0x1.fffffcp-127,
    0.0f
  },
  { // Entry 327
    -0x1.fffff8p-127,
    -0x1.fffffcp-127,
    -0.0f
  },
  { // Entry 328
    -0x1.fffff8p-127,
    -0x1.fffffcp-127,
    -0x1.p-149
  },
  { // Entry 329
    -0x1.fffffcp-127,
    -0x1.fffffcp-127,
    -0x1.fffffcp-127
  },
  { // Entry 330
    -0x1.p-126,
    -0x1.fffffcp-127,
    -0x1.p-126
  },
  { // Entry 331
    -0x1.p-126,
    -0x1.fffffcp-127,
    -0x1.fffffep127
  },
  { // Entry 332
    -0x1.p-126,
    -0x1.fffffcp-127,
    -HUGE_VALF
  },
  { // Entry 333
    -0x1.fffffcp-127,
    -0x1.p-126,
    HUGE_VALF
  },
  { // Entry 334
    -0x1.fffffcp-127,
    -0x1.p-126,
    0x1.fffffep127
  },
  { // Entry 335
    -0x1.fffffcp-127,
    -0x1.p-126,
    0x1.p-126
  },
  { // Entry 336
    -0x1.fffffcp-127,
    -0x1.p-126,
    0x1.fffffcp-127
  },
  { // Entry 337
    -0x1.fffffcp-127,
    -0x1.p-126,
    0x1.p-149
  },
  { // Entry 338
    -0x1.fffffcp-127,
    -0x1.p-126,
    0.0f
  },
  { // Entry 339
    -0x1.fffffcp-127,
    -0x1.p-126,
    -0.0f
  },
  { // Entry 340
    -0x1.fffffcp-127,
    -0x1.p-126,
    -0x1.p-149
  },
  { // Entry 341
    -0x1.fffffcp-127,
    -0x1.p-126,
    -0x1.fffffcp-127
  },
  { // Entry 342
    -0x1.p-126,
    -0x1.p-126,
    -0x1.p-126
  },
  { // Entry 343
    -0x1.000002p-126,
    -0x1.p-126,
    -0x1.fffffep127
  },
  { // Entry 344
    -0x1.000002p-126,
    -0x1.p-126,
    -HUGE_VALF
  },
  { // Entry 345
    -0x1.fffffcp127,
    -0x1.fffffep127,
    HUGE_VALF
  },
  { // Entry 346
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 347
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0x1.p-126
  },
  { // Entry 348
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0x1.fffffcp-127
  },
  { // Entry 349
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 350
    -0x1.fffffcp127,
    -0x1.fffffep127,
    0.0f
  },
  { // Entry 351
    -0x1.fffffcp127,
    -0x1.fffffep127,
    -0.0f
  },
  { // Entry 352
    -0x1.fffffcp127,
    -0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 353
    -0x1.fffffcp127,
    -0x1.fffffep127,
    -0x1.fffffcp-127
  },
  { // Entry 354
    -0x1.fffffcp127,
    -0x1.fffffep127,
    -0x1.p-126
  },
  { // Entry 355
    -0x1.fffffep127,
    -0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 356
    -HUGE_VALF,
    -0x1.fffffep127,
    -HUGE_VALF
  },
  { // Entry 357
    -0x1.fffffep127,
    -HUGE_VALF,
    HUGE_VALF
  },
  { // Entry 358
    -0x1.fffffep127,
    -HUGE_VALF,
    0x1.fffffep127
  },
  { // Entry 359
    -0x1.fffffep127,
    -HUGE_VALF,
    0x1.p-126
  },
  { // Entry 360
    -0x1.fffffep127,
    -HUGE_VALF,
    0x1.fffffcp-127
  },
  { // Entry 361
    -0x1.fffffep127,
    -HUGE_VALF,
    0x1.p-149
  },
  { // Entry 362
    -0x1.fffffep127,
    -HUGE_VALF,
    0.0f
  },
  { // Entry 363
    -0x1.fffffep127,
    -HUGE_VALF,
    -0.0f
  },
  { // Entry 364
    -0x1.fffffep127,
    -HUGE_VALF,
    -0x1.p-149
  },
  { // Entry 365
    -0x1.fffffep127,
    -HUGE_VALF,
    -0x1.fffffcp-127
  },
  { // Entry 366
    -0x1.fffffep127,
    -HUGE_VALF,
    -0x1.p-126
  },
  { // Entry 367
    -0x1.fffffep127,
    -HUGE_VALF,
    -0x1.fffffep127
  },
  { // Entry 368
    -HUGE_VALF,
    -HUGE_VALF,
    -HUGE_VALF
  }
};
