/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

static data_1_int_2_t<float, float, float> g_remquof_intel_data[] = {
  { // Entry 0
    0x1.72c2c0p18,
    (int)-0x1.b37d2b60p28,
    -0x1.285308p99,
    0x1.7a4110p19
  },
  { // Entry 1
    -0x1.96dfb0p13,
    (int)0x1.212d5d58p30,
    0x1.0295fap117,
    0x1.0cede2p15
  },
  { // Entry 2
    0x1.fd0030p20,
    (int)-0x1.007ff8p22,
    0x1.ffffe6p127,
    -0x1.000006p22
  },
  { // Entry 3
    0x1.4782b0p2,
    (int)0x1.4323c158p30,
    0x1.fffff8p127,
    0x1.dffffep4
  },
  { // Entry 4
    -0x1.p-11,
    (int)0x1.ffffc0p30,
    0x1.fffffap127,
    0x1.fffffcp-1
  },
  { // Entry 5
    -0.0,
    (int)0x1.p0,
    -0x1.p-117,
    -0x1.p-117
  },
  { // Entry 6
    -0.0,
    (int)-0x1.p0,
    -0x1.p-117,
    0x1.p-117
  },
  { // Entry 7
    0.0,
    (int)-0x1.p0,
    0x1.p-117,
    -0x1.p-117
  },
  { // Entry 8
    0.0,
    (int)0x1.p0,
    0x1.p-117,
    0x1.p-117
  },
  { // Entry 9
    -0x1.p-117,
    (int)0.0,
    -0x1.p-117,
    0x1.p15
  },
  { // Entry 10
    -0x1.p-117,
    (int)0.0,
    -0x1.p-117,
    0x1.p16
  },
  { // Entry 11
    0x1.p-117,
    (int)0.0,
    0x1.p-117,
    0x1.p15
  },
  { // Entry 12
    0x1.p-117,
    (int)0.0,
    0x1.p-117,
    0x1.p16
  },
  { // Entry 13
    -0x1.p-117,
    (int)0.0,
    -0x1.p-117,
    0x1.p117
  },
  { // Entry 14
    -0x1.p-117,
    (int)0.0,
    -0x1.p-117,
    0x1.p118
  },
  { // Entry 15
    0x1.p-117,
    (int)0.0,
    0x1.p-117,
    0x1.p117
  },
  { // Entry 16
    0x1.p-117,
    (int)0.0,
    0x1.p-117,
    0x1.p118
  },
  { // Entry 17
    0.0,
    (int)0.0,
    0x1.p15,
    -0x1.p-117
  },
  { // Entry 18
    0.0,
    (int)0.0,
    0x1.p15,
    0x1.p-117
  },
  { // Entry 19
    0.0,
    (int)0.0,
    0x1.p16,
    -0x1.p-117
  },
  { // Entry 20
    0.0,
    (int)0.0,
    0x1.p16,
    0x1.p-117
  },
  { // Entry 21
    0.0,
    (int)0x1.p0,
    0x1.p15,
    0x1.p15
  },
  { // Entry 22
    0x1.p15,
    (int)0.0,
    0x1.p15,
    0x1.p16
  },
  { // Entry 23
    0.0,
    (int)0x1.p1,
    0x1.p16,
    0x1.p15
  },
  { // Entry 24
    0.0,
    (int)0x1.p0,
    0x1.p16,
    0x1.p16
  },
  { // Entry 25
    0x1.p15,
    (int)0.0,
    0x1.p15,
    0x1.p117
  },
  { // Entry 26
    0x1.p15,
    (int)0.0,
    0x1.p15,
    0x1.p118
  },
  { // Entry 27
    0x1.p16,
    (int)0.0,
    0x1.p16,
    0x1.p117
  },
  { // Entry 28
    0x1.p16,
    (int)0.0,
    0x1.p16,
    0x1.p118
  },
  { // Entry 29
    0.0,
    (int)0.0,
    0x1.p117,
    -0x1.p-117
  },
  { // Entry 30
    0.0,
    (int)0.0,
    0x1.p117,
    0x1.p-117
  },
  { // Entry 31
    0.0,
    (int)0.0,
    0x1.p118,
    -0x1.p-117
  },
  { // Entry 32
    0.0,
    (int)0.0,
    0x1.p118,
    0x1.p-117
  },
  { // Entry 33
    0.0,
    (int)0.0,
    0x1.p117,
    0x1.p15
  },
  { // Entry 34
    0.0,
    (int)0.0,
    0x1.p117,
    0x1.p16
  },
  { // Entry 35
    0.0,
    (int)0.0,
    0x1.p118,
    0x1.p15
  },
  { // Entry 36
    0.0,
    (int)0.0,
    0x1.p118,
    0x1.p16
  },
  { // Entry 37
    0.0,
    (int)0x1.p0,
    0x1.p117,
    0x1.p117
  },
  { // Entry 38
    0x1.p117,
    (int)0.0,
    0x1.p117,
    0x1.p118
  },
  { // Entry 39
    0.0,
    (int)0x1.p1,
    0x1.p118,
    0x1.p117
  },
  { // Entry 40
    0.0,
    (int)0x1.p0,
    0x1.p118,
    0x1.p118
  },
  { // Entry 41
    0.0,
    (int)0x1.40p3,
    0x1.90p6,
    0x1.40p3
  },
  { // Entry 42
    0x1.p0,
    (int)0x1.20p3,
    0x1.90p6,
    0x1.60p3
  },
  { // Entry 43
    0x1.p2,
    (int)0x1.p3,
    0x1.90p6,
    0x1.80p3
  },
  { // Entry 44
    0x1.p0,
    (int)0x1.40p3,
    0x1.94p6,
    0x1.40p3
  },
  { // Entry 45
    0x1.p1,
    (int)0x1.20p3,
    0x1.94p6,
    0x1.60p3
  },
  { // Entry 46
    0x1.40p2,
    (int)0x1.p3,
    0x1.94p6,
    0x1.80p3
  },
  { // Entry 47
    0x1.p1,
    (int)0x1.40p3,
    0x1.98p6,
    0x1.40p3
  },
  { // Entry 48
    0x1.80p1,
    (int)0x1.20p3,
    0x1.98p6,
    0x1.60p3
  },
  { // Entry 49
    0x1.80p2,
    (int)0x1.p3,
    0x1.98p6,
    0x1.80p3
  },
  { // Entry 50
    0x1.80p1,
    (int)0x1.40p3,
    0x1.9cp6,
    0x1.40p3
  },
  { // Entry 51
    0x1.p2,
    (int)0x1.20p3,
    0x1.9cp6,
    0x1.60p3
  },
  { // Entry 52
    -0x1.40p2,
    (int)0x1.20p3,
    0x1.9cp6,
    0x1.80p3
  },
  { // Entry 53
    0x1.p2,
    (int)0x1.40p3,
    0x1.a0p6,
    0x1.40p3
  },
  { // Entry 54
    0x1.40p2,
    (int)0x1.20p3,
    0x1.a0p6,
    0x1.60p3
  },
  { // Entry 55
    -0x1.p2,
    (int)0x1.20p3,
    0x1.a0p6,
    0x1.80p3
  },
  { // Entry 56
    0x1.40p2,
    (int)0x1.40p3,
    0x1.a4p6,
    0x1.40p3
  },
  { // Entry 57
    -0x1.40p2,
    (int)0x1.40p3,
    0x1.a4p6,
    0x1.60p3
  },
  { // Entry 58
    -0x1.80p1,
    (int)0x1.20p3,
    0x1.a4p6,
    0x1.80p3
  },
  { // Entry 59
    -0x1.p2,
    (int)0x1.60p3,
    0x1.a8p6,
    0x1.40p3
  },
  { // Entry 60
    -0x1.p2,
    (int)0x1.40p3,
    0x1.a8p6,
    0x1.60p3
  },
  { // Entry 61
    -0x1.p1,
    (int)0x1.20p3,
    0x1.a8p6,
    0x1.80p3
  },
  { // Entry 62
    -0x1.80p1,
    (int)0x1.60p3,
    0x1.acp6,
    0x1.40p3
  },
  { // Entry 63
    -0x1.80p1,
    (int)0x1.40p3,
    0x1.acp6,
    0x1.60p3
  },
  { // Entry 64
    -0x1.p0,
    (int)0x1.20p3,
    0x1.acp6,
    0x1.80p3
  },
  { // Entry 65
    -0x1.p1,
    (int)0x1.60p3,
    0x1.b0p6,
    0x1.40p3
  },
  { // Entry 66
    -0x1.p1,
    (int)0x1.40p3,
    0x1.b0p6,
    0x1.60p3
  },
  { // Entry 67
    0.0,
    (int)0x1.20p3,
    0x1.b0p6,
    0x1.80p3
  },
  { // Entry 68
    -0x1.p0,
    (int)0x1.60p3,
    0x1.b4p6,
    0x1.40p3
  },
  { // Entry 69
    -0x1.p0,
    (int)0x1.40p3,
    0x1.b4p6,
    0x1.60p3
  },
  { // Entry 70
    0x1.p0,
    (int)0x1.20p3,
    0x1.b4p6,
    0x1.80p3
  },
  { // Entry 71
    0.0,
    (int)0x1.60p3,
    0x1.b8p6,
    0x1.40p3
  },
  { // Entry 72
    0.0,
    (int)0x1.40p3,
    0x1.b8p6,
    0x1.60p3
  },
  { // Entry 73
    0x1.p1,
    (int)0x1.20p3,
    0x1.b8p6,
    0x1.80p3
  },
  { // Entry 74
    -0.0,
    (int)0x1.p0,
    -0x1.000002p0,
    -0x1.000002p0
  },
  { // Entry 75
    -0x1.p-23,
    (int)0x1.p0,
    -0x1.000002p0,
    -0x1.p0
  },
  { // Entry 76
    -0x1.80p-23,
    (int)0x1.p0,
    -0x1.000002p0,
    -0x1.fffffep-1
  },
  { // Entry 77
    0x1.p-23,
    (int)0x1.p0,
    -0x1.p0,
    -0x1.000002p0
  },
  { // Entry 78
    -0.0,
    (int)0x1.p0,
    -0x1.p0,
    -0x1.p0
  },
  { // Entry 79
    -0x1.p-24,
    (int)0x1.p0,
    -0x1.p0,
    -0x1.fffffep-1
  },
  { // Entry 80
    0x1.80p-23,
    (int)0x1.p0,
    -0x1.fffffep-1,
    -0x1.000002p0
  },
  { // Entry 81
    0x1.p-24,
    (int)0x1.p0,
    -0x1.fffffep-1,
    -0x1.p0
  },
  { // Entry 82
    -0.0,
    (int)0x1.p0,
    -0x1.fffffep-1,
    -0x1.fffffep-1
  },
  { // Entry 83
    -0x1.80p-23,
    (int)-0x1.p0,
    -0x1.000002p0,
    0x1.fffffep-1
  },
  { // Entry 84
    -0x1.p-23,
    (int)-0x1.p0,
    -0x1.000002p0,
    0x1.p0
  },
  { // Entry 85
    -0.0,
    (int)-0x1.p0,
    -0x1.000002p0,
    0x1.000002p0
  },
  { // Entry 86
    -0x1.p-24,
    (int)-0x1.p0,
    -0x1.p0,
    0x1.fffffep-1
  },
  { // Entry 87
    -0.0,
    (int)-0x1.p0,
    -0x1.p0,
    0x1.p0
  },
  { // Entry 88
    0x1.p-23,
    (int)-0x1.p0,
    -0x1.p0,
    0x1.000002p0
  },
  { // Entry 89
    -0.0,
    (int)-0x1.p0,
    -0x1.fffffep-1,
    0x1.fffffep-1
  },
  { // Entry 90
    0x1.p-24,
    (int)-0x1.p0,
    -0x1.fffffep-1,
    0x1.p0
  },
  { // Entry 91
    0x1.80p-23,
    (int)-0x1.p0,
    -0x1.fffffep-1,
    0x1.000002p0
  },
  { // Entry 92
    -0x1.80p-23,
    (int)-0x1.p0,
    0x1.fffffep-1,
    -0x1.000002p0
  },
  { // Entry 93
    -0x1.p-24,
    (int)-0x1.p0,
    0x1.fffffep-1,
    -0x1.p0
  },
  { // Entry 94
    0.0,
    (int)-0x1.p0,
    0x1.fffffep-1,
    -0x1.fffffep-1
  },
  { // Entry 95
    -0x1.p-23,
    (int)-0x1.p0,
    0x1.p0,
    -0x1.000002p0
  },
  { // Entry 96
    0.0,
    (int)-0x1.p0,
    0x1.p0,
    -0x1.p0
  },
  { // Entry 97
    0x1.p-24,
    (int)-0x1.p0,
    0x1.p0,
    -0x1.fffffep-1
  },
  { // Entry 98
    0.0,
    (int)-0x1.p0,
    0x1.000002p0,
    -0x1.000002p0
  },
  { // Entry 99
    0x1.p-23,
    (int)-0x1.p0,
    0x1.000002p0,
    -0x1.p0
  },
  { // Entry 100
    0x1.80p-23,
    (int)-0x1.p0,
    0x1.000002p0,
    -0x1.fffffep-1
  },
  { // Entry 101
    0.0,
    (int)0x1.p0,
    0x1.fffffep-1,
    0x1.fffffep-1
  },
  { // Entry 102
    -0x1.p-24,
    (int)0x1.p0,
    0x1.fffffep-1,
    0x1.p0
  },
  { // Entry 103
    -0x1.80p-23,
    (int)0x1.p0,
    0x1.fffffep-1,
    0x1.000002p0
  },
  { // Entry 104
    0x1.p-24,
    (int)0x1.p0,
    0x1.p0,
    0x1.fffffep-1
  },
  { // Entry 105
    0.0,
    (int)0x1.p0,
    0x1.p0,
    0x1.p0
  },
  { // Entry 106
    -0x1.p-23,
    (int)0x1.p0,
    0x1.p0,
    0x1.000002p0
  },
  { // Entry 107
    0x1.80p-23,
    (int)0x1.p0,
    0x1.000002p0,
    0x1.fffffep-1
  },
  { // Entry 108
    0x1.p-23,
    (int)0x1.p0,
    0x1.000002p0,
    0x1.p0
  },
  { // Entry 109
    0.0,
    (int)0x1.p0,
    0x1.000002p0,
    0x1.000002p0
  },
  { // Entry 110
    -0.0,
    (int)-0x1.p0,
    -0x1.p-149,
    0x1.p-149
  },
  { // Entry 111
    0.0,
    (int)0.0,
    0.0,
    0x1.p-149
  },
  { // Entry 112
    0.0,
    (int)0x1.p0,
    0x1.p-149,
    0x1.p-149
  },
  { // Entry 113
    -0.0,
    (int)0x1.p0,
    -0x1.p-149,
    -0x1.p-149
  },
  { // Entry 114
    0.0,
    (int)0.0,
    0.0,
    -0x1.p-149
  },
  { // Entry 115
    0.0,
    (int)-0x1.p0,
    0x1.p-149,
    -0x1.p-149
  },
  { // Entry 116
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 117
    0.0,
    (int)0.0,
    0.0,
    0x1.fffffep127
  },
  { // Entry 118
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 119
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 120
    0.0,
    (int)0.0,
    0.0,
    -0x1.fffffep127
  },
  { // Entry 121
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 122
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 123
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 124
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 125
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 126
    0.0,
    (int)0.0,
    0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 127
    -0.0,
    (int)0.0,
    -0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 128
    -0.0,
    (int)0.0,
    -0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 129
    0.0,
    (int)0.0,
    0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 130
    0.0,
    (int)0x1.p0,
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 131
    0.0,
    (int)-0x1.p0,
    0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 132
    -0.0,
    (int)-0x1.p0,
    -0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 133
    -0.0,
    (int)0x1.p0,
    -0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 134
    0x1.fffff8p-3,
    (int)-0x1.000004p22,
    -0x1.000002p22,
    0x1.fffffep-1
  },
  { // Entry 135
    -0x1.p-1,
    (int)-0x1.p22,
    -0x1.000002p22,
    0x1.p0
  },
  { // Entry 136
    -0.0,
    (int)-0x1.p22,
    -0x1.000002p22,
    0x1.000002p0
  },
  { // Entry 137
    -0x1.p-2,
    (int)-0x1.p22,
    -0x1.p22,
    0x1.fffffep-1
  },
  { // Entry 138
    -0.0,
    (int)-0x1.p22,
    -0x1.p22,
    0x1.p0
  },
  { // Entry 139
    0x1.p-1,
    (int)-0x1.p22,
    -0x1.p22,
    0x1.000002p0
  },
  { // Entry 140
    -0.0,
    (int)-0x1.p22,
    -0x1.fffffep21,
    0x1.fffffep-1
  },
  { // Entry 141
    0x1.p-2,
    (int)-0x1.p22,
    -0x1.fffffep21,
    0x1.p0
  },
  { // Entry 142
    -0x1.000008p-2,
    (int)-0x1.fffff8p21,
    -0x1.fffffep21,
    0x1.000002p0
  },
  { // Entry 143
    0.0,
    (int)0x1.p23,
    0x1.fffffep22,
    0x1.fffffep-1
  },
  { // Entry 144
    -0x1.p-1,
    (int)0x1.p23,
    0x1.fffffep22,
    0x1.p0
  },
  { // Entry 145
    -0x1.fffff8p-2,
    (int)0x1.fffffcp22,
    0x1.fffffep22,
    0x1.000002p0
  },
  { // Entry 146
    -0x1.fffffcp-2,
    (int)0x1.000002p23,
    0x1.p23,
    0x1.fffffep-1
  },
  { // Entry 147
    0.0,
    (int)0x1.p23,
    0x1.p23,
    0x1.p0
  },
  { // Entry 148
    0x1.p-23,
    (int)0x1.fffffcp22,
    0x1.p23,
    0x1.000002p0
  },
  { // Entry 149
    -0x1.fffff8p-2,
    (int)0x1.000004p23,
    0x1.000002p23,
    0x1.fffffep-1
  },
  { // Entry 150
    0.0,
    (int)0x1.000002p23,
    0x1.000002p23,
    0x1.p0
  },
  { // Entry 151
    0.0,
    (int)0x1.p23,
    0x1.000002p23,
    0x1.000002p0
  },
  { // Entry 152
    -0x1.80p-23,
    (int)-0x1.000003p24,
    -0x1.000002p24,
    0x1.fffffep-1
  },
  { // Entry 153
    -0.0,
    (int)-0x1.000002p24,
    -0x1.000002p24,
    0x1.p0
  },
  { // Entry 154
    -0.0,
    (int)-0x1.p24,
    -0x1.000002p24,
    0x1.000002p0
  },
  { // Entry 155
    -0x1.p-24,
    (int)-0x1.000001p24,
    -0x1.p24,
    0x1.fffffep-1
  },
  { // Entry 156
    -0.0,
    (int)-0x1.p24,
    -0x1.p24,
    0x1.p0
  },
  { // Entry 157
    -0x1.p-22,
    (int)-0x1.fffffcp23,
    -0x1.p24,
    0x1.000002p0
  },
  { // Entry 158
    -0.0,
    (int)-0x1.p24,
    -0x1.fffffep23,
    0x1.fffffep-1
  },
  { // Entry 159
    -0.0,
    (int)-0x1.fffffep23,
    -0x1.fffffep23,
    0x1.p0
  },
  { // Entry 160
    -0x1.80p-22,
    (int)-0x1.fffffap23,
    -0x1.fffffep23,
    0x1.000002p0
  },
  { // Entry 161
    0.0,
    (int)0x1.p22,
    0x1.fffffep21,
    0x1.fffffep-1
  },
  { // Entry 162
    -0x1.p-2,
    (int)0x1.p22,
    0x1.fffffep21,
    0x1.p0
  },
  { // Entry 163
    0x1.000008p-2,
    (int)0x1.fffff8p21,
    0x1.fffffep21,
    0x1.000002p0
  },
  { // Entry 164
    0x1.p-2,
    (int)0x1.p22,
    0x1.p22,
    0x1.fffffep-1
  },
  { // Entry 165
    0.0,
    (int)0x1.p22,
    0x1.p22,
    0x1.p0
  },
  { // Entry 166
    -0x1.p-1,
    (int)0x1.p22,
    0x1.p22,
    0x1.000002p0
  },
  { // Entry 167
    -0x1.fffff8p-3,
    (int)0x1.000004p22,
    0x1.000002p22,
    0x1.fffffep-1
  },
  { // Entry 168
    0x1.p-1,
    (int)0x1.p22,
    0x1.000002p22,
    0x1.p0
  },
  { // Entry 169
    0.0,
    (int)0x1.p22,
    0x1.000002p22,
    0x1.000002p0
  },
  { // Entry 170
    0.0,
    (int)0x1.p23,
    0x1.fffffep22,
    0x1.fffffep-1
  },
  { // Entry 171
    -0x1.p-1,
    (int)0x1.p23,
    0x1.fffffep22,
    0x1.p0
  },
  { // Entry 172
    -0x1.fffff8p-2,
    (int)0x1.fffffcp22,
    0x1.fffffep22,
    0x1.000002p0
  },
  { // Entry 173
    -0x1.fffffcp-2,
    (int)0x1.000002p23,
    0x1.p23,
    0x1.fffffep-1
  },
  { // Entry 174
    0.0,
    (int)0x1.p23,
    0x1.p23,
    0x1.p0
  },
  { // Entry 175
    0x1.p-23,
    (int)0x1.fffffcp22,
    0x1.p23,
    0x1.000002p0
  },
  { // Entry 176
    -0x1.fffff8p-2,
    (int)0x1.000004p23,
    0x1.000002p23,
    0x1.fffffep-1
  },
  { // Entry 177
    0.0,
    (int)0x1.000002p23,
    0x1.000002p23,
    0x1.p0
  },
  { // Entry 178
    0.0,
    (int)0x1.p23,
    0x1.000002p23,
    0x1.000002p0
  },
  { // Entry 179
    -0.0,
    (int)0x1.p24,
    -0x1.000002p24,
    -0x1.000002p0
  },
  { // Entry 180
    -0.0,
    (int)0x1.000002p24,
    -0x1.000002p24,
    -0x1.p0
  },
  { // Entry 181
    -0x1.80p-23,
    (int)0x1.000003p24,
    -0x1.000002p24,
    -0x1.fffffep-1
  },
  { // Entry 182
    -0x1.p-22,
    (int)0x1.fffffcp23,
    -0x1.p24,
    -0x1.000002p0
  },
  { // Entry 183
    -0.0,
    (int)0x1.p24,
    -0x1.p24,
    -0x1.p0
  },
  { // Entry 184
    -0x1.p-24,
    (int)0x1.000001p24,
    -0x1.p24,
    -0x1.fffffep-1
  },
  { // Entry 185
    -0x1.80p-22,
    (int)0x1.fffffap23,
    -0x1.fffffep23,
    -0x1.000002p0
  },
  { // Entry 186
    -0.0,
    (int)0x1.fffffep23,
    -0x1.fffffep23,
    -0x1.p0
  },
  { // Entry 187
    -0.0,
    (int)0x1.p24,
    -0x1.fffffep23,
    -0x1.fffffep-1
  },
  { // Entry 188
    0x1.fffffep127,
    (int)0.0,
    0x1.fffffep127,
    HUGE_VALF
  },
  { // Entry 189
    -0x1.fffffep127,
    (int)0.0,
    -0x1.fffffep127,
    HUGE_VALF
  },
  { // Entry 190
    0x1.fffffep127,
    (int)0.0,
    0x1.fffffep127,
    -HUGE_VALF
  },
  { // Entry 191
    -0x1.fffffep127,
    (int)0.0,
    -0x1.fffffep127,
    -HUGE_VALF
  },
  { // Entry 192
    0x1.p-126,
    (int)0.0,
    0x1.p-126,
    HUGE_VALF
  },
  { // Entry 193
    -0x1.p-126,
    (int)0.0,
    -0x1.p-126,
    HUGE_VALF
  },
  { // Entry 194
    0x1.p-126,
    (int)0.0,
    0x1.p-126,
    -HUGE_VALF
  },
  { // Entry 195
    -0x1.p-126,
    (int)0.0,
    -0x1.p-126,
    -HUGE_VALF
  },
  { // Entry 196
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    HUGE_VALF
  },
  { // Entry 197
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    HUGE_VALF
  },
  { // Entry 198
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    -HUGE_VALF
  },
  { // Entry 199
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    -HUGE_VALF
  },
  { // Entry 200
    0.0,
    (int)0.0,
    0.0f,
    HUGE_VALF
  },
  { // Entry 201
    -0.0,
    (int)0.0,
    -0.0f,
    HUGE_VALF
  },
  { // Entry 202
    0.0,
    (int)0.0,
    0.0f,
    -HUGE_VALF
  },
  { // Entry 203
    -0.0,
    (int)0.0,
    -0.0f,
    -HUGE_VALF
  },
  { // Entry 204
    0.0,
    (int)0x1.p0,
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 205
    0.0,
    (int)-0x1.p0,
    0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 206
    -0.0,
    (int)-0x1.p0,
    -0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 207
    -0.0,
    (int)0x1.p0,
    -0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 208
    0.0,
    (int)0.0,
    0x1.fffffep127,
    0x1.p-126
  },
  { // Entry 209
    0.0,
    (int)0.0,
    0x1.fffffep127,
    -0x1.p-126
  },
  { // Entry 210
    -0.0,
    (int)0.0,
    -0x1.fffffep127,
    0x1.p-126
  },
  { // Entry 211
    -0.0,
    (int)0.0,
    -0x1.fffffep127,
    -0x1.p-126
  },
  { // Entry 212
    0.0,
    (int)0.0,
    0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 213
    0.0,
    (int)0.0,
    0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 214
    -0.0,
    (int)0.0,
    -0x1.fffffep127,
    0x1.p-149
  },
  { // Entry 215
    -0.0,
    (int)0.0,
    -0x1.fffffep127,
    -0x1.p-149
  },
  { // Entry 216
    0x1.p-126,
    (int)0.0,
    0x1.p-126,
    0x1.fffffep127
  },
  { // Entry 217
    -0x1.p-126,
    (int)0.0,
    -0x1.p-126,
    0x1.fffffep127
  },
  { // Entry 218
    0x1.p-126,
    (int)0.0,
    0x1.p-126,
    -0x1.fffffep127
  },
  { // Entry 219
    -0x1.p-126,
    (int)0.0,
    -0x1.p-126,
    -0x1.fffffep127
  },
  { // Entry 220
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 221
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    0x1.fffffep127
  },
  { // Entry 222
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 223
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    -0x1.fffffep127
  },
  { // Entry 224
    0.0,
    (int)0.0,
    0.0f,
    0x1.fffffep127
  },
  { // Entry 225
    -0.0,
    (int)0.0,
    -0.0f,
    0x1.fffffep127
  },
  { // Entry 226
    0.0,
    (int)0.0,
    0.0f,
    -0x1.fffffep127
  },
  { // Entry 227
    -0.0,
    (int)0.0,
    -0.0f,
    -0x1.fffffep127
  },
  { // Entry 228
    0.0,
    (int)0x1.p0,
    0x1.p-126,
    0x1.p-126
  },
  { // Entry 229
    0.0,
    (int)-0x1.p0,
    0x1.p-126,
    -0x1.p-126
  },
  { // Entry 230
    -0.0,
    (int)-0x1.p0,
    -0x1.p-126,
    0x1.p-126
  },
  { // Entry 231
    -0.0,
    (int)0x1.p0,
    -0x1.p-126,
    -0x1.p-126
  },
  { // Entry 232
    0.0,
    (int)0x1.p23,
    0x1.p-126,
    0x1.p-149
  },
  { // Entry 233
    0.0,
    (int)-0x1.p23,
    0x1.p-126,
    -0x1.p-149
  },
  { // Entry 234
    -0.0,
    (int)-0x1.p23,
    -0x1.p-126,
    0x1.p-149
  },
  { // Entry 235
    -0.0,
    (int)0x1.p23,
    -0x1.p-126,
    -0x1.p-149
  },
  { // Entry 236
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    0x1.p-126
  },
  { // Entry 237
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    0x1.p-126
  },
  { // Entry 238
    0x1.p-149,
    (int)0.0,
    0x1.p-149,
    -0x1.p-126
  },
  { // Entry 239
    -0x1.p-149,
    (int)0.0,
    -0x1.p-149,
    -0x1.p-126
  },
  { // Entry 240
    0.0,
    (int)0.0,
    0.0f,
    0x1.p-126
  },
  { // Entry 241
    -0.0,
    (int)0.0,
    -0.0f,
    0x1.p-126
  },
  { // Entry 242
    0.0,
    (int)0.0,
    0.0f,
    -0x1.p-126
  },
  { // Entry 243
    -0.0,
    (int)0.0,
    -0.0f,
    -0x1.p-126
  },
  { // Entry 244
    0.0,
    (int)0x1.p0,
    0x1.p-149,
    0x1.p-149
  },
  { // Entry 245
    -0.0,
    (int)-0x1.p0,
    -0x1.p-149,
    0x1.p-149
  },
  { // Entry 246
    0.0,
    (int)-0x1.p0,
    0x1.p-149,
    -0x1.p-149
  },
  { // Entry 247
    -0.0,
    (int)0x1.p0,
    -0x1.p-149,
    -0x1.p-149
  },
  { // Entry 248
    0.0,
    (int)0.0,
    0.0f,
    0x1.p-149
  },
  { // Entry 249
    -0.0,
    (int)0.0,
    -0.0f,
    0x1.p-149
  },
  { // Entry 250
    0.0,
    (int)0.0,
    0.0f,
    -0x1.p-149
  },
  { // Entry 251
    -0.0,
    (int)0.0,
    -0.0f,
    -0x1.p-149
  },
  { // Entry 252
    -0x1.p0,
    (int)0x1.p1,
    0x1.80p1,
    0x1.p1
  },
  { // Entry 253
    0x1.p0,
    (int)-0x1.p1,
    -0x1.80p1,
    0x1.p1
  },
  { // Entry 254
    -0x1.p0,
    (int)-0x1.p1,
    0x1.80p1,
    -0x1.p1
  },
  { // Entry 255
    0x1.p0,
    (int)0x1.p1,
    -0x1.80p1,
    -0x1.p1
  },
  { // Entry 256
    0x1.p0,
    (int)0x1.p1,
    0x1.40p2,
    0x1.p1
  },
  { // Entry 257
    -0x1.p0,
    (int)-0x1.p1,
    -0x1.40p2,
    0x1.p1
  },
  { // Entry 258
    0x1.p0,
    (int)-0x1.p1,
    0x1.40p2,
    -0x1.p1
  },
  { // Entry 259
    -0x1.p0,
    (int)0x1.p1,
    -0x1.40p2,
    -0x1.p1
  }
};
