/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

static data_1_1_t<float, float> g_rintf_intel_data[] = {
  { // Entry 0
    -0.0,
    -0x1.67e9d8p-2
  },
  { // Entry 1
    0x1.000008p21,
    0x1.000006p21
  },
  { // Entry 2
    0x1.fffd48p21,
    0x1.fffd46p21
  },
  { // Entry 3
    0x1.fffff8p21,
    0x1.fffff6p21
  },
  { // Entry 4
    0.0,
    0x1.fffffep-2
  },
  { // Entry 5
    -0.0,
    -0x1.p-149
  },
  { // Entry 6
    0.0,
    0.0
  },
  { // Entry 7
    0.0,
    0x1.p-149
  },
  { // Entry 8
    0.0,
    0x1.fffffep-2
  },
  { // Entry 9
    0.0,
    0x1.p-1
  },
  { // Entry 10
    0x1.p0,
    0x1.000002p-1
  },
  { // Entry 11
    0x1.p0,
    0x1.fffffep-1
  },
  { // Entry 12
    0x1.p0,
    0x1.p0
  },
  { // Entry 13
    0x1.p0,
    0x1.000002p0
  },
  { // Entry 14
    0x1.p0,
    0x1.7ffffep0
  },
  { // Entry 15
    0x1.p1,
    0x1.80p0
  },
  { // Entry 16
    0x1.p1,
    0x1.800002p0
  },
  { // Entry 17
    0x1.p1,
    0x1.fffffep0
  },
  { // Entry 18
    0x1.p1,
    0x1.p1
  },
  { // Entry 19
    0x1.p1,
    0x1.000002p1
  },
  { // Entry 20
    0x1.p1,
    0x1.3ffffep1
  },
  { // Entry 21
    0x1.p1,
    0x1.40p1
  },
  { // Entry 22
    0x1.80p1,
    0x1.400002p1
  },
  { // Entry 23
    0x1.90p6,
    0x1.8ffffep6
  },
  { // Entry 24
    0x1.90p6,
    0x1.90p6
  },
  { // Entry 25
    0x1.90p6,
    0x1.900002p6
  },
  { // Entry 26
    0x1.90p6,
    0x1.91fffep6
  },
  { // Entry 27
    0x1.90p6,
    0x1.92p6
  },
  { // Entry 28
    0x1.94p6,
    0x1.920002p6
  },
  { // Entry 29
    0x1.f4p9,
    0x1.f3fffep9
  },
  { // Entry 30
    0x1.f4p9,
    0x1.f4p9
  },
  { // Entry 31
    0x1.f4p9,
    0x1.f40002p9
  },
  { // Entry 32
    0x1.f4p9,
    0x1.f43ffep9
  },
  { // Entry 33
    0x1.f4p9,
    0x1.f440p9
  },
  { // Entry 34
    0x1.f480p9,
    0x1.f44002p9
  },
  { // Entry 35
    0x1.p21,
    0x1.fffffep20
  },
  { // Entry 36
    0x1.p21,
    0x1.p21
  },
  { // Entry 37
    0x1.p21,
    0x1.000002p21
  },
  { // Entry 38
    0x1.p22,
    0x1.fffffep21
  },
  { // Entry 39
    0x1.p22,
    0x1.p22
  },
  { // Entry 40
    0x1.p22,
    0x1.000002p22
  },
  { // Entry 41
    0x1.p23,
    0x1.fffffep22
  },
  { // Entry 42
    0x1.p23,
    0x1.p23
  },
  { // Entry 43
    0x1.000002p23,
    0x1.000002p23
  },
  { // Entry 44
    0x1.fffffep23,
    0x1.fffffep23
  },
  { // Entry 45
    0x1.p24,
    0x1.p24
  },
  { // Entry 46
    0x1.000002p24,
    0x1.000002p24
  },
  { // Entry 47
    0x1.fffffep24,
    0x1.fffffep24
  },
  { // Entry 48
    0x1.p25,
    0x1.p25
  },
  { // Entry 49
    0x1.000002p25,
    0x1.000002p25
  },
  { // Entry 50
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 51
    -0x1.p0,
    -0x1.000002p-1
  },
  { // Entry 52
    -0.0,
    -0x1.p-1
  },
  { // Entry 53
    -0.0,
    -0x1.fffffep-2
  },
  { // Entry 54
    -0x1.p0,
    -0x1.000002p0
  },
  { // Entry 55
    -0x1.p0,
    -0x1.p0
  },
  { // Entry 56
    -0x1.p0,
    -0x1.fffffep-1
  },
  { // Entry 57
    -0x1.p1,
    -0x1.800002p0
  },
  { // Entry 58
    -0x1.p1,
    -0x1.80p0
  },
  { // Entry 59
    -0x1.p0,
    -0x1.7ffffep0
  },
  { // Entry 60
    -0x1.p1,
    -0x1.000002p1
  },
  { // Entry 61
    -0x1.p1,
    -0x1.p1
  },
  { // Entry 62
    -0x1.p1,
    -0x1.fffffep0
  },
  { // Entry 63
    -0x1.80p1,
    -0x1.400002p1
  },
  { // Entry 64
    -0x1.p1,
    -0x1.40p1
  },
  { // Entry 65
    -0x1.p1,
    -0x1.3ffffep1
  },
  { // Entry 66
    -0x1.90p6,
    -0x1.900002p6
  },
  { // Entry 67
    -0x1.90p6,
    -0x1.90p6
  },
  { // Entry 68
    -0x1.90p6,
    -0x1.8ffffep6
  },
  { // Entry 69
    -0x1.94p6,
    -0x1.920002p6
  },
  { // Entry 70
    -0x1.90p6,
    -0x1.92p6
  },
  { // Entry 71
    -0x1.90p6,
    -0x1.91fffep6
  },
  { // Entry 72
    -0x1.f4p9,
    -0x1.f40002p9
  },
  { // Entry 73
    -0x1.f4p9,
    -0x1.f4p9
  },
  { // Entry 74
    -0x1.f4p9,
    -0x1.f3fffep9
  },
  { // Entry 75
    -0x1.f480p9,
    -0x1.f44002p9
  },
  { // Entry 76
    -0x1.f4p9,
    -0x1.f440p9
  },
  { // Entry 77
    -0x1.f4p9,
    -0x1.f43ffep9
  },
  { // Entry 78
    -0x1.p21,
    -0x1.000002p21
  },
  { // Entry 79
    -0x1.p21,
    -0x1.p21
  },
  { // Entry 80
    -0x1.p21,
    -0x1.fffffep20
  },
  { // Entry 81
    -0x1.p22,
    -0x1.000002p22
  },
  { // Entry 82
    -0x1.p22,
    -0x1.p22
  },
  { // Entry 83
    -0x1.p22,
    -0x1.fffffep21
  },
  { // Entry 84
    -0x1.000002p23,
    -0x1.000002p23
  },
  { // Entry 85
    -0x1.p23,
    -0x1.p23
  },
  { // Entry 86
    -0x1.p23,
    -0x1.fffffep22
  },
  { // Entry 87
    -0x1.000002p24,
    -0x1.000002p24
  },
  { // Entry 88
    -0x1.p24,
    -0x1.p24
  },
  { // Entry 89
    -0x1.fffffep23,
    -0x1.fffffep23
  },
  { // Entry 90
    -0x1.000002p25,
    -0x1.000002p25
  },
  { // Entry 91
    -0x1.p25,
    -0x1.p25
  },
  { // Entry 92
    -0x1.fffffep24,
    -0x1.fffffep24
  },
  { // Entry 93
    -0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 94
    0x1.fffffep29,
    0x1.fffffep29
  },
  { // Entry 95
    0x1.p30,
    0x1.p30
  },
  { // Entry 96
    0x1.000002p30,
    0x1.000002p30
  },
  { // Entry 97
    0x1.fffffcp30,
    0x1.fffffcp30
  },
  { // Entry 98
    0x1.fffffep30,
    0x1.fffffep30
  },
  { // Entry 99
    0x1.p31,
    0x1.p31
  },
  { // Entry 100
    0x1.000002p31,
    0x1.000002p31
  },
  { // Entry 101
    0x1.000004p31,
    0x1.000004p31
  },
  { // Entry 102
    0x1.fffffcp30,
    0x1.fffffcp30
  },
  { // Entry 103
    0x1.fffffep30,
    0x1.fffffep30
  },
  { // Entry 104
    0x1.p31,
    0x1.p31
  },
  { // Entry 105
    0x1.000002p31,
    0x1.000002p31
  },
  { // Entry 106
    0x1.000004p31,
    0x1.000004p31
  },
  { // Entry 107
    0x1.fffffcp30,
    0x1.fffffcp30
  },
  { // Entry 108
    0x1.fffffep30,
    0x1.fffffep30
  },
  { // Entry 109
    0x1.p31,
    0x1.p31
  },
  { // Entry 110
    0x1.000002p31,
    0x1.000002p31
  },
  { // Entry 111
    0x1.000004p31,
    0x1.000004p31
  },
  { // Entry 112
    0x1.fffffcp30,
    0x1.fffffcp30
  },
  { // Entry 113
    0x1.fffffep30,
    0x1.fffffep30
  },
  { // Entry 114
    0x1.p31,
    0x1.p31
  },
  { // Entry 115
    0x1.000002p31,
    0x1.000002p31
  },
  { // Entry 116
    0x1.000004p31,
    0x1.000004p31
  },
  { // Entry 117
    0x1.fffffcp30,
    0x1.fffffcp30
  },
  { // Entry 118
    0x1.fffffep30,
    0x1.fffffep30
  },
  { // Entry 119
    0x1.p31,
    0x1.p31
  },
  { // Entry 120
    0x1.000002p31,
    0x1.000002p31
  },
  { // Entry 121
    0x1.000004p31,
    0x1.000004p31
  },
  { // Entry 122
    0x1.fffffcp30,
    0x1.fffffcp30
  },
  { // Entry 123
    0x1.fffffep30,
    0x1.fffffep30
  },
  { // Entry 124
    0x1.p31,
    0x1.p31
  },
  { // Entry 125
    0x1.000002p31,
    0x1.000002p31
  },
  { // Entry 126
    0x1.000004p31,
    0x1.000004p31
  },
  { // Entry 127
    0x1.p31,
    0x1.p31
  },
  { // Entry 128
    0x1.p31,
    0x1.p31
  },
  { // Entry 129
    0x1.p31,
    0x1.p31
  },
  { // Entry 130
    0x1.p31,
    0x1.p31
  },
  { // Entry 131
    0x1.p31,
    0x1.p31
  },
  { // Entry 132
    0x1.p31,
    0x1.p31
  },
  { // Entry 133
    0x1.p31,
    0x1.p31
  },
  { // Entry 134
    0x1.p31,
    0x1.p31
  },
  { // Entry 135
    0x1.p31,
    0x1.p31
  },
  { // Entry 136
    0x1.p31,
    0x1.p31
  },
  { // Entry 137
    -0x1.000002p30,
    -0x1.000002p30
  },
  { // Entry 138
    -0x1.p30,
    -0x1.p30
  },
  { // Entry 139
    -0x1.fffffep29,
    -0x1.fffffep29
  },
  { // Entry 140
    -0x1.000004p31,
    -0x1.000004p31
  },
  { // Entry 141
    -0x1.000002p31,
    -0x1.000002p31
  },
  { // Entry 142
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 143
    -0x1.fffffep30,
    -0x1.fffffep30
  },
  { // Entry 144
    -0x1.fffffcp30,
    -0x1.fffffcp30
  },
  { // Entry 145
    -0x1.000004p31,
    -0x1.000004p31
  },
  { // Entry 146
    -0x1.000002p31,
    -0x1.000002p31
  },
  { // Entry 147
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 148
    -0x1.fffffep30,
    -0x1.fffffep30
  },
  { // Entry 149
    -0x1.fffffcp30,
    -0x1.fffffcp30
  },
  { // Entry 150
    -0x1.000004p31,
    -0x1.000004p31
  },
  { // Entry 151
    -0x1.000002p31,
    -0x1.000002p31
  },
  { // Entry 152
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 153
    -0x1.fffffep30,
    -0x1.fffffep30
  },
  { // Entry 154
    -0x1.fffffcp30,
    -0x1.fffffcp30
  },
  { // Entry 155
    -0x1.000004p31,
    -0x1.000004p31
  },
  { // Entry 156
    -0x1.000002p31,
    -0x1.000002p31
  },
  { // Entry 157
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 158
    -0x1.fffffep30,
    -0x1.fffffep30
  },
  { // Entry 159
    -0x1.fffffcp30,
    -0x1.fffffcp30
  },
  { // Entry 160
    -0x1.000004p31,
    -0x1.000004p31
  },
  { // Entry 161
    -0x1.000002p31,
    -0x1.000002p31
  },
  { // Entry 162
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 163
    -0x1.fffffep30,
    -0x1.fffffep30
  },
  { // Entry 164
    -0x1.fffffcp30,
    -0x1.fffffcp30
  },
  { // Entry 165
    -0x1.000004p31,
    -0x1.000004p31
  },
  { // Entry 166
    -0x1.000002p31,
    -0x1.000002p31
  },
  { // Entry 167
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 168
    -0x1.fffffep30,
    -0x1.fffffep30
  },
  { // Entry 169
    -0x1.fffffcp30,
    -0x1.fffffcp30
  },
  { // Entry 170
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 171
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 172
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 173
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 174
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 175
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 176
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 177
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 178
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 179
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 180
    0x1.fffffcp61,
    0x1.fffffcp61
  },
  { // Entry 181
    0x1.fffffep61,
    0x1.fffffep61
  },
  { // Entry 182
    0x1.p62,
    0x1.p62
  },
  { // Entry 183
    0x1.000002p62,
    0x1.000002p62
  },
  { // Entry 184
    0x1.000004p62,
    0x1.000004p62
  },
  { // Entry 185
    0x1.fffffcp62,
    0x1.fffffcp62
  },
  { // Entry 186
    0x1.fffffep62,
    0x1.fffffep62
  },
  { // Entry 187
    0x1.p63,
    0x1.p63
  },
  { // Entry 188
    0x1.000002p63,
    0x1.000002p63
  },
  { // Entry 189
    0x1.000004p63,
    0x1.000004p63
  },
  { // Entry 190
    0x1.fffffcp63,
    0x1.fffffcp63
  },
  { // Entry 191
    0x1.fffffep63,
    0x1.fffffep63
  },
  { // Entry 192
    0x1.p64,
    0x1.p64
  },
  { // Entry 193
    0x1.000002p64,
    0x1.000002p64
  },
  { // Entry 194
    0x1.000004p64,
    0x1.000004p64
  },
  { // Entry 195
    -0x1.000004p62,
    -0x1.000004p62
  },
  { // Entry 196
    -0x1.000002p62,
    -0x1.000002p62
  },
  { // Entry 197
    -0x1.p62,
    -0x1.p62
  },
  { // Entry 198
    -0x1.fffffep61,
    -0x1.fffffep61
  },
  { // Entry 199
    -0x1.fffffcp61,
    -0x1.fffffcp61
  },
  { // Entry 200
    -0x1.000004p63,
    -0x1.000004p63
  },
  { // Entry 201
    -0x1.000002p63,
    -0x1.000002p63
  },
  { // Entry 202
    -0x1.p63,
    -0x1.p63
  },
  { // Entry 203
    -0x1.fffffep62,
    -0x1.fffffep62
  },
  { // Entry 204
    -0x1.fffffcp62,
    -0x1.fffffcp62
  },
  { // Entry 205
    -0x1.000004p64,
    -0x1.000004p64
  },
  { // Entry 206
    -0x1.000002p64,
    -0x1.000002p64
  },
  { // Entry 207
    -0x1.p64,
    -0x1.p64
  },
  { // Entry 208
    -0x1.fffffep63,
    -0x1.fffffep63
  },
  { // Entry 209
    -0x1.fffffcp63,
    -0x1.fffffcp63
  },
  { // Entry 210
    0x1.p62,
    0x1.p62
  },
  { // Entry 211
    0x1.p63,
    0x1.p63
  },
  { // Entry 212
    -0x1.p62,
    -0x1.p62
  },
  { // Entry 213
    -0x1.p63,
    -0x1.p63
  },
  { // Entry 214
    0x1.fffffcp30,
    0x1.fffffcp30
  },
  { // Entry 215
    0x1.fffffep30,
    0x1.fffffep30
  },
  { // Entry 216
    0x1.p31,
    0x1.p31
  },
  { // Entry 217
    -0x1.000002p31,
    -0x1.000002p31
  },
  { // Entry 218
    -0x1.p31,
    -0x1.p31
  },
  { // Entry 219
    -0x1.fffffep30,
    -0x1.fffffep30
  },
  { // Entry 220
    0x1.p2,
    0x1.fffffep1
  },
  { // Entry 221
    0x1.p2,
    0x1.p2
  },
  { // Entry 222
    0x1.p2,
    0x1.000002p2
  },
  { // Entry 223
    0x1.p3,
    0x1.fffffep2
  },
  { // Entry 224
    0x1.p3,
    0x1.p3
  },
  { // Entry 225
    0x1.p3,
    0x1.000002p3
  },
  { // Entry 226
    0x1.p4,
    0x1.fffffep3
  },
  { // Entry 227
    0x1.p4,
    0x1.p4
  },
  { // Entry 228
    0x1.p4,
    0x1.000002p4
  },
  { // Entry 229
    0x1.p5,
    0x1.fffffep4
  },
  { // Entry 230
    0x1.p5,
    0x1.p5
  },
  { // Entry 231
    0x1.p5,
    0x1.000002p5
  },
  { // Entry 232
    0x1.p6,
    0x1.fffffep5
  },
  { // Entry 233
    0x1.p6,
    0x1.p6
  },
  { // Entry 234
    0x1.p6,
    0x1.000002p6
  },
  { // Entry 235
    0x1.p7,
    0x1.fffffep6
  },
  { // Entry 236
    0x1.p7,
    0x1.p7
  },
  { // Entry 237
    0x1.p7,
    0x1.000002p7
  },
  { // Entry 238
    0x1.p8,
    0x1.fffffep7
  },
  { // Entry 239
    0x1.p8,
    0x1.p8
  },
  { // Entry 240
    0x1.p8,
    0x1.000002p8
  },
  { // Entry 241
    0x1.p9,
    0x1.fffffep8
  },
  { // Entry 242
    0x1.p9,
    0x1.p9
  },
  { // Entry 243
    0x1.p9,
    0x1.000002p9
  },
  { // Entry 244
    0x1.p10,
    0x1.fffffep9
  },
  { // Entry 245
    0x1.p10,
    0x1.p10
  },
  { // Entry 246
    0x1.p10,
    0x1.000002p10
  },
  { // Entry 247
    0x1.p11,
    0x1.fffffep10
  },
  { // Entry 248
    0x1.p11,
    0x1.p11
  },
  { // Entry 249
    0x1.p11,
    0x1.000002p11
  },
  { // Entry 250
    0x1.p12,
    0x1.fffffep11
  },
  { // Entry 251
    0x1.p12,
    0x1.p12
  },
  { // Entry 252
    0x1.p12,
    0x1.000002p12
  },
  { // Entry 253
    0x1.p2,
    0x1.1ffffep2
  },
  { // Entry 254
    0x1.p2,
    0x1.20p2
  },
  { // Entry 255
    0x1.40p2,
    0x1.200002p2
  },
  { // Entry 256
    0x1.p3,
    0x1.0ffffep3
  },
  { // Entry 257
    0x1.p3,
    0x1.10p3
  },
  { // Entry 258
    0x1.20p3,
    0x1.100002p3
  },
  { // Entry 259
    0x1.p4,
    0x1.07fffep4
  },
  { // Entry 260
    0x1.p4,
    0x1.08p4
  },
  { // Entry 261
    0x1.10p4,
    0x1.080002p4
  },
  { // Entry 262
    0x1.p5,
    0x1.03fffep5
  },
  { // Entry 263
    0x1.p5,
    0x1.04p5
  },
  { // Entry 264
    0x1.08p5,
    0x1.040002p5
  },
  { // Entry 265
    0x1.p6,
    0x1.01fffep6
  },
  { // Entry 266
    0x1.p6,
    0x1.02p6
  },
  { // Entry 267
    0x1.04p6,
    0x1.020002p6
  },
  { // Entry 268
    0x1.p7,
    0x1.00fffep7
  },
  { // Entry 269
    0x1.p7,
    0x1.01p7
  },
  { // Entry 270
    0x1.02p7,
    0x1.010002p7
  },
  { // Entry 271
    0x1.p8,
    0x1.007ffep8
  },
  { // Entry 272
    0x1.p8,
    0x1.0080p8
  },
  { // Entry 273
    0x1.01p8,
    0x1.008002p8
  },
  { // Entry 274
    0x1.p9,
    0x1.003ffep9
  },
  { // Entry 275
    0x1.p9,
    0x1.0040p9
  },
  { // Entry 276
    0x1.0080p9,
    0x1.004002p9
  },
  { // Entry 277
    0x1.p10,
    0x1.001ffep10
  },
  { // Entry 278
    0x1.p10,
    0x1.0020p10
  },
  { // Entry 279
    0x1.0040p10,
    0x1.002002p10
  },
  { // Entry 280
    0x1.0040p10,
    0x1.005ffep10
  },
  { // Entry 281
    0x1.0080p10,
    0x1.0060p10
  },
  { // Entry 282
    0x1.0080p10,
    0x1.006002p10
  },
  { // Entry 283
    0x1.p11,
    0x1.000ffep11
  },
  { // Entry 284
    0x1.p11,
    0x1.0010p11
  },
  { // Entry 285
    0x1.0020p11,
    0x1.001002p11
  },
  { // Entry 286
    0x1.p12,
    0x1.0007fep12
  },
  { // Entry 287
    0x1.p12,
    0x1.0008p12
  },
  { // Entry 288
    0x1.0010p12,
    0x1.000802p12
  },
  { // Entry 289
    HUGE_VALF,
    HUGE_VALF
  },
  { // Entry 290
    -HUGE_VALF,
    -HUGE_VALF
  },
  { // Entry 291
    0x1.fffffep127,
    0x1.fffffep127
  },
  { // Entry 292
    -0x1.fffffep127,
    -0x1.fffffep127
  },
  { // Entry 293
    0x1.fffffcp127,
    0x1.fffffcp127
  },
  { // Entry 294
    -0x1.fffffcp127,
    -0x1.fffffcp127
  },
  { // Entry 295
    0x1.80p1,
    0x1.921fb6p1
  },
  { // Entry 296
    -0x1.80p1,
    -0x1.921fb6p1
  },
  { // Entry 297
    0x1.p1,
    0x1.921fb6p0
  },
  { // Entry 298
    -0x1.p1,
    -0x1.921fb6p0
  },
  { // Entry 299
    0x1.p0,
    0x1.000002p0
  },
  { // Entry 300
    -0x1.p0,
    -0x1.000002p0
  },
  { // Entry 301
    0x1.p0,
    0x1.p0
  },
  { // Entry 302
    -0x1.p0,
    -0x1.p0
  },
  { // Entry 303
    0x1.p0,
    0x1.fffffep-1
  },
  { // Entry 304
    -0x1.p0,
    -0x1.fffffep-1
  },
  { // Entry 305
    0x1.p0,
    0x1.921fb6p-1
  },
  { // Entry 306
    -0x1.p0,
    -0x1.921fb6p-1
  },
  { // Entry 307
    0.0,
    0x1.000002p-126
  },
  { // Entry 308
    -0.0,
    -0x1.000002p-126
  },
  { // Entry 309
    0.0,
    0x1.p-126
  },
  { // Entry 310
    -0.0,
    -0x1.p-126
  },
  { // Entry 311
    0.0,
    0x1.fffffcp-127
  },
  { // Entry 312
    -0.0,
    -0x1.fffffcp-127
  },
  { // Entry 313
    0.0,
    0x1.fffff8p-127
  },
  { // Entry 314
    -0.0,
    -0x1.fffff8p-127
  },
  { // Entry 315
    0.0,
    0x1.p-148
  },
  { // Entry 316
    -0.0,
    -0x1.p-148
  },
  { // Entry 317
    0.0,
    0x1.p-149
  },
  { // Entry 318
    -0.0,
    -0x1.p-149
  },
  { // Entry 319
    0.0,
    0.0f
  },
  { // Entry 320
    -0.0,
    -0.0f
  },
  { // Entry 321
    0x1.p1,
    0x1.80p0
  },
  { // Entry 322
    -0x1.p1,
    -0x1.80p0
  },
  { // Entry 323
    0x1.p1,
    0x1.40p1
  },
  { // Entry 324
    -0x1.p1,
    -0x1.40p1
  },
  { // Entry 325
    0.0,
    0x1.fffff0p-2
  },
  { // Entry 326
    0.0,
    0x1.p-1
  },
  { // Entry 327
    0x1.p0,
    0x1.000010p-1
  },
  { // Entry 328
    -0.0,
    -0x1.fffff0p-2
  },
  { // Entry 329
    -0.0,
    -0x1.p-1
  },
  { // Entry 330
    -0x1.p0,
    -0x1.000010p-1
  },
  { // Entry 331
    0x1.p1,
    0x1.800010p0
  },
  { // Entry 332
    0x1.p0,
    0x1.7ffff0p0
  },
  { // Entry 333
    -0x1.p1,
    -0x1.800010p0
  },
  { // Entry 334
    -0x1.p0,
    -0x1.7ffff0p0
  }
};
